<?php
/*
Plugin Name: [GWA] AutoResponder
Plugin URI: http://FreeAutoresponder.biz
Description:A plugin to add a powerful Double Opt-In Mail List Builder and AutoResponder to your Wordpress Weblog.
Version: 2.7.2
Author: G.J.P.
Author URI: http://Code4Cookies.com
*/
/*
    2.7.2 - remove additional escape message
    2.7.1 - Added Dashboard Plugin Status
          - Updated language files / confirm notice ip/dns
    2.7   - Added "Fly-In" Subscription Form option
          - Context level help boxes for every option
          - Tab redirection/reloading after form submit
          - Updated widget/i18n/time-zone functionality for WP3.1
    2.6.5 - Javascript form checking added / PHP4 compatibility
    2.6.4 - Quick Setup Guide included in plugin pkg.
    2.6.3 - Fix for server w/ force envelope disabled
    2.6.2 - force return envelope - COre update
    2.6.1 - Fixed special characters in email tags.
    2.6   - Subscription Form HTML Editor / Tabbed Display
    2.5   - MultiLingual Edition w/ current .po file
    2.4   - UnBrandable
    2.3.3 - AJAX update lead data
    2.3.2 - unsubscribe link errors fixed in WP2.7
    2.3.1 - admin display fix for WP2.7
    2.3 - Added SHORTCODE: [gwa-autoresponder in={html} out={html}]
        - Option added to enable/disable New User Optin Box
    2.2.10 - IE Button fix = No more buttons
    2.2.9 - fix aff_update & return confirm page
    2.2.8 - Upgrade Day0 message overwriting
    2.2.7 - edit messgae failures
    2.2.6 - fixed from: addressing 
*/

/*
    Copyright 2008,2009,2010,2011  G.J.P.  (email : cookies@getwebactive.com)
    Released under the GPL license
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

function ar_gwa_plugin_i18n() {

if(isset($_REQUEST['ar_gwa_export_dl'])) 
    ar_gwa_export_dl();
    
			$currentLocale = get_locale();
			if(!empty($currentLocale)) {
				$moFile = dirname(__FILE__) . "/argwa-" . $currentLocale . ".mo";
				if(@file_exists($moFile) & is_readable($moFile)) load_plugin_textdomain('argwa', false ,dirname( plugin_basename( __FILE__ ) ));
      }
}

function ar_gwa_popin() {
echo '<script type="text/javascript" src="'.WP_PLUGIN_URL.'/autoresponder-gwa/flyh.js"></script><link rel="stylesheet" type="text/css" href="'.WP_PLUGIN_URL.'/autoresponder-gwa/fly.css">';
}

function print_ar_gwa_popin() {
echo '<div id="flyad"><div id="fa1"><a href="#" onclick="moveback()"><img src="'.WP_PLUGIN_URL.'/autoresponder-gwa/close1.jpg" alt="close" align="right"/></a></div><div id="fa2">';
echo is_autoresponder_gwa_popin_display(1);
echo '</div></div>';
}

if((is_admin()) & (isset($_REQUEST['popintest'])))  { setcookie("GWAADMINPOP", "1", 0 ,"/"); $_COOKIE["GWAADMINPOP"]=1;} else if((is_admin()) & (isset($_REQUEST['poptest']))) { setcookie("GWAADMINPOP", false, 0 ,"/"); unset($_COOKIE["GWAADMINPOP"]);}
if(!$_COOKIE["GWAPOP"] || isset($_COOKIE["GWAADMINPOP"])) {
 if(get_option('ar_gwa_popin')=='checked' && (!is_admin())){
  add_action('wp_print_scripts','ar_gwa_popin');
  add_action('loop_end','print_ar_gwa_popin');
  setcookie("GWAPOP", "1", 0, "/");
 }
}

function print_gwaCheck() {
$script = "<script type='text/javascript'>// <![CDATA[\n" . 'function echeck(str) {var at="@";var dot=".";var lat=str.indexOf(at);var lstr=str.length;var ldot=str.indexOf(dot);if (str.indexOf(at)==-1){alert("Invalid Email Address. ");return false}if (str.indexOf(at)==-1 || str.indexOf(at)==0 || str.indexOf(at)==lstr){alert("Invalid Email Address. ");return false}if (str.indexOf(dot)==-1 || str.indexOf(dot)==0 || str.indexOf(dot)==lstr){alert("Invalid Email Address. ");return false}if (str.indexOf(at,(lat+1))!=-1){alert("Invalid Email Address. ");return false}if (str.substring(lat-1,lat)==dot || str.substring(lat+1,lat+2)==dot){alert("Invalid Email Address. ");return false}if (str.indexOf(dot,(lat+2))==-1){alert("Invalid Email Address. ");return false}if (str.indexOf(" ")!=-1){alert("Invalid Email Address. ");return false}return true;} function gwaCheckForm1(form){nam = form.argwa_name.value;namcnt = nam.length;eml = form.argwa_email.value;if(namcnt < 2) {alert("Sorry, Name field must be 2 characters minimum.");return false;} else return(echeck(eml));}'."\n// ]]></script>";
return $script;
}
$postem = "<!--\nPost \'Em Notes Header by flooble.com\nThis script is Copyright (c) 2003 Animus Pactum Consulting.\nFor more information, visit:\nhttp://www.flooble.com/scripts/postems.php\n-->\n".'<style type="text/css"> .note { border: 1px solid #6688CC; font: 12px caption; font-weight: bold; background: #ffffff; text-decoration:none; color: #000077;} A.note { text-decoration: none; } .notebody { font-family:Verdana;display:block; border: 2px solid #666666; color: #000000; background: #ffffff;position:absolute; z-index: +10; width:300px; padding: 2px; left: 100px; font-size: 12px;} .notetitle { font-family:Verdana;font-weight: bold; background: #e4f2fd; color: #000000; border-bottom: 1px dashed #666666; padding: 1px; width: 100%; margin: 0px;  font-size: 13px;} .notehidden { display: none; } .notevisible { display: block; position:absolute; z-index: +10; left:0px;}</style>'."\n".'<script language="javascript">
var ie = false;var lastNote = \'\';if (document.all) { ie = true; }
function getObj(id) {	if (ie) {	return document.all[id];} else {return document.getElementById(id);}}
function showNote(name) {if (name == lastNote) {hideNote(name);return;}
if (lastNote != \'\') { hideNote(lastNote); }
var title = getObj(name + \'_title\');var body = getObj(name + \'_body\');		/*title.className = \'notehidden\';*/		body.className = \'notevisible\';		lastNote = name;	}
function hideNote(name) {		var title = getObj(name + \'_title\');		var body = getObj(name + \'_body\');		/*title.className = \'note\';*/		body.className = \'notehidden\';		lastNote = \'\';	}
</script>';
function ar_gwa_signup() {
global $wpdb,$mssg,$list_name,$rpag;
if(isset($_REQUEST['listid']) && ($listid = $_REQUEST['listid']))
  $rpag = $wpdb->get_var("SELECT xReturn FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='$listid'");
  // Default failure message
  $mssg = '<span id="gwaform">There was a problem processing your request. Contact the administrator ('.get_bloginfo('admin_email').') for further assistance.</span>';
if (isset($_REQUEST['r']) && ($r = substr($_REQUEST['r'],0,21))) {
    $qry = $wpdb->get_results("SELECT lID,lLID,xReturn,xID FROM ".$wpdb->prefix."ar_gwa_leads, ".$wpdb->prefix."ar_gwa_lists WHERE xID=lLID AND lCnf='$r'");
    if(isset($qry[0]->lID) && $qry[0]->lID>0)  {
    $rpag = $qry[0]->xReturn;  
    $dt = date('Y-m-d H:i:s');
    $ip = $_SERVER['REMOTE_ADDR'];
    $dns = gethostbyaddr($ip);
	  if(!$wpdb->query("UPDATE ".$wpdb->prefix."ar_gwa_leads SET lCnf='1',lTime='$dt',lIP='$ip',lDNS='$dns' WHERE lID='".$qry[0]->lID."'")) { 
    $mssg = '<span id="gwaform">'.get_option('ar_gwa_badlead').'</span>';
    } else {
    $ms = new MailProcess();
		if( $ms->setLead($qry[0]->lID) && $ms->setMsg(0,$qry[0]->xID))
 		 $ms->mailLead(0,$qry[0]->lID);
  $mssg = '<span id="gwaform">'.get_option('ar_gwa_addlead').'</span>';
 		}
    $rpag = $wpdb->get_var("SELECT xReturn FROM ".$wpdb->prefix."ar_gwa_lists   WHERE xID='{$qry[0]->lLID}'");
  } else {
  $mssg = '<span id="gwaform">'.get_option('ar_gwa_badlead').'</span>';
  }
function autoresponder_output($in=null,$out=null) {
global $mssg;
echo $in.$mssg.$out;
}
function is_autoresponder_output($in=null,$out=null) {
global $mssg;
return $in.$mssg.$out;
}
if(!$rpag || $rpag==0) $rpag = $wpdb->get_var("SELECT xReturn FROM ".$wpdb->prefix."ar_gwa_lists LIMIT 1");
query_posts($query_string."&page_id=$rpag");
} else if ($_REQUEST['act']=='s_add') {
    $dt = date('Y-m-d H:i:s');
    $ip = $_SERVER['REMOTE_ADDR'];
    $dns = gethostbyaddr($ip);
    if(isset($_REQUEST['gwaname'])) $lName = $wpdb->escape($_REQUEST['gwaname']); else $lName = $wpdb->escape($_REQUEST['name']);    
    if(isset($_REQUEST['gwaemail'])) $lEmail = $wpdb->escape($_REQUEST['gwaemail']); else $lEmail = $wpdb->escape($_REQUEST['email']);
    $i_url = get_bloginfo('url').'/';
 if(ar_gwa_check_email($lEmail) && (isset($listid) && $listid>0)){
  global $wpdb;
  $wpdb->show_errors;
	$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_leads WHERE lEmail='".$lEmail."' AND lLID='".$listid."' AND lCnf=1";
	$qry2 = "SELECT * FROM ".$wpdb->prefix."ar_gwa_leads WHERE lEmail='".$lEmail."' AND lLID='".$listid."' AND lCnf!=1";
	if($wpdb->get_results($qry)) { 
  $mssg = '<span id="gwaform">'.__("That email is already on the list.",'argwa').'</span>';
	} else if($wpdb->get_results($qry2)) { 
	$qry = "DELETE FROM ".$wpdb->prefix."ar_gwa_leads WHERE lEmail='".$lEmail."' AND lLID='".$listid."' AND lCnf != 1";
  if($wpdb->query($qry))
  $mssg = '<span id="gwaform">'.__("A previous confirmation link sent to this address has been deactivated. Please try subscribing again and check your spambox for your confirmation link.",'argwa').'</span>';  
  } else
	{	
  $pword='ar';
  $vals = "ABCDEFGHIJKLMNOPQRSTUVWXYZabchefghjkmnpqrstuvwxyz0123456789";           
  while (strlen($pword) < 21) {
                mt_getrandmax();  // Returns the maximum value that can be returned by a call  rand
                $num = rand(1,strlen($vals));
                $tmp = substr($vals, $num+4, 1);
                $pword = $pword . $tmp;
                $tmp ="";
  }
    $lCnf = $pword;
    $to = "$lEmail";
    $subj = $msg = __("Please confirm your subscription at",'argwa').' '.html_entity_decode(get_bloginfo('name'));
    $msg .= "\n\n".__("Click here",'argwa')." -> ".$i_url."?r=$lCnf\n\n";
    $msg .= __("A newsletter subscription request was received from",'argwa')." $ip ($dns) $dt. ";
    $msg .= __("If you did not request a subscription to our newsletter please disregard this email and you will not be contacted again. For further information please visit",'argwa').' '.get_bloginfo('url')."\n\n";
    $from = "From: ".get_option('ar_gwa_from')."\r\n"."Mime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n";
    $suc = mail($to,$subj,$msg,$from,'-f'.get_option('ar_gwa_from'));
    if(!$suc) $suc = mail($to,$subj,$msg,$from);
    if(!$suc) {
      $mssg = '<span id="gwaform">'.__("There was an error sending your confirmation. Contact the webmaster.",'argwa').'</span> ';
    } else {
		$qry = "INSERT INTO ".$wpdb->prefix."ar_gwa_leads(lLID, lName, lEmail, lDateEntry, lDateOut, lMOut, lCnf) VALUES('".$listid."','".$lName."', '".$lEmail."' ,current_date, current_date, '-1','".$lCnf."')";
		$wpdb->query($qry);    
      $mssg = '<span id="gwaform">'.__("Check your email for a confirmation link to arrive shortly.",'argwa').'</span> ';
    }
  } // if check email
 } // if act = s_add
$rpag = $wpdb->get_var("SELECT xReturn FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID=".$listid);
function autoresponder_output($in=null,$out=null) {
global $mssg;
echo $in.$mssg.$out;
}
function is_autoresponder_output($in=null,$out=null) {
global $mssg;
return $in.$mssg.$out;
}

if(!$rpag || $rpag==0) $rpag = $wpdb->get_var("SELECT xReturn FROM ".$wpdb->prefix."ar_gwa_lists LIMIT 1");
query_posts($query_string."&page_id=$rpag");
} else if (isset($_REQUEST['uID']) && preg_match("/^\d+$/",$_REQUEST['uID'])) {
//
#  $wpdb->show_errors();

  $lEmail = $wpdb->escape($_REQUEST['Email']);
  $uID = $_REQUEST['uID'];

	$qry = "SELECT lLID FROM ".$wpdb->prefix."ar_gwa_leads WHERE lID='".$uID."'";
	$listid = $wpdb->get_var($qry);

	if($listid>0) {
  $qry = "SELECT xName FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID=$listid";
	$list_name = $wpdb->get_var($qry);
  $rpag = $wpdb->get_var("SELECT xReturn FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID=".$listid);
  }
  $qry = "DELETE FROM ".$wpdb->prefix."ar_gwa_leads WHERE lID='".$uID."' AND lEmail like '%".$lEmail."%'";
  if($wpdb->query($qry)) {
    $mssg = '<span id="gwaform">'.get_option('ar_gwa_rmvlead').'</span>';
  } else {
	$qry = "SELECT lEmail FROM ".$wpdb->prefix."ar_gwa_leads WHERE lID='".$uID."'";
	$tEmail = $wpdb->get_var($qry);  

  $t_Email = preg_replace("/@/",'',trim($tEmail));
  $l_Email = preg_replace("/@/",'',$lEmail);
   if(preg_match("/$t_Email/", $l_Email)) {
    $qry = "DELETE FROM ".$wpdb->prefix."ar_gwa_leads WHERE lID='".$uID."' AND lEmail like '%".trim($tEmail)."%'";
     if($wpdb->query($qry)) {
      $mssg = '<span id="gwaform">'.get_option('ar_gwa_rmvlead').'</span>';
     }  
    }
  }
function autoresponder_output($in=null,$out=null) {
global $mssg;
echo $in.$mssg.$out;
}
function is_autoresponder_output($in=null,$out=null) {
global $mssg;
return $in.$mssg.$out;
}
if(!$rpag || $rpag==0) $rpag = $wpdb->get_var("SELECT xReturn FROM ".$wpdb->prefix."ar_gwa_lists LIMIT 1");
query_posts($query_string."&page_id=$rpag");
}
if((isset($_POST['ar_gwa_rmv_brand']) && base64_decode($_POST['ar_gwa_key'])==get_bloginfo('url'))) update_option('ar_gwa_cb','unbranded');

if(!function_exists('is_autoresponder_output')) {
function is_autoresponder_output($in=null,$out=null) {
global $wpdb;
if(!$listid)
  $listid = $wpdb->get_var("SELECT xID from ".$wpdb->prefix."ar_gwa_lists LIMIT 0,1");
  return $in.is_autoresponder_gwa_form_display($listid).$out;
}}}
ar_gwa_responder_start();
if(!function_exists('ar_gwa_short_code')) {
  function ar_gwa_short_code($atts) {
  $ats = shortcode_atts( array('in' => '<div>','out'=>'</div>'), $atts );
  if(function_exists('is_autoresponder_output')) return is_autoresponder_output(htmlentities($atts['in']),htmlentities($atts['out']),null);
  }
}
function ar_gwa_check_email($email) {
    $atom = '[-a-z0-9!#$%&\'*+/=?^_`{|}~]';
    $domain = '[a-z0-9]([-a-z0-9]{0,61}[a-z0-9])';
    return eregi("^$atom+(\\.$atom+)*@($domain?\\.)+$domain\$", $email);
}
if (function_exists('wp_enqueue_script')) wp_enqueue_script('admin-forms');
add_action('autoresponder_gwa_form_display', 'autoresponder_gwa_form_display');
add_action('wp_dashboard_setup', 'ar_gwa_register_dashboard_widget');
function ar_gwa_register_dashboard_widget() {
	wp_register_sidebar_widget('dashboard_ar_gwa', __('[GWA] AutoResponder', 'argwa'), 'dashboard_ar_gwa',
		array('all_link' => 'admin.php?page=autoresponder-gwa/ar_gwa.php','feed_link' => 'http://code4cookies.com/feed','width' => 'half','height' => 'single'));
}
add_filter('wp_dashboard_widgets', 'ar_gwa_add_dashboard_widget');
function ar_gwa_add_dashboard_widget($widgets) {
	global $wp_registered_widgets;
	if (!isset($wp_registered_widgets['dashboard_ar_gwa'])) {
		return $widgets;
	}
	array_splice($widgets, sizeof($widgets)-1, 0, 'dashboard_ar_gwa');
	return $widgets;
}
function dashboard_ar_gwa($sidebar_args) {
	global $wpdb;
#	extract($sidebar_args, EXTR_SKIP);
	echo $before_widget;
	echo $before_title;
	echo $widget_name;
	echo $after_title;
	admin_ar_gwa_get_stats(1);
	echo $after_widget;
}
$popular= array();
function admin_ar_gwa_get_stats($d) {
global $wpdb;
$wpdb->show_errors;
$qry = "SELECT COUNT(*) FROM ".$wpdb->prefix."ar_gwa_leads WHERE lCnf=1";
$num = $wpdb->get_var($qry);
$qry = "SELECT COUNT(*) FROM ".$wpdb->prefix."ar_gwa_leads WHERE "
          ."lDateEntry = current_date AND lCnf=1";
$today =  $wpdb->get_var($qry);
$timestamp = time() - (7 * 86400);
$qry = "SELECT COUNT(*) FROM ".$wpdb->prefix."ar_gwa_leads WHERE "
          ."lDateEntry > FROM_UNIXTIME($timestamp) AND lCnf=1";
$week =  $wpdb->get_var($qry);
$timestamp = time() - (30 * 86400);
$qry = "SELECT COUNT(*) FROM ".$wpdb->prefix."ar_gwa_leads WHERE "
          ."lDateEntry > FROM_UNIXTIME($timestamp) AND lCnf=1";
$month =  $wpdb->get_var($qry);
echo "<div style='position:relative;'>";
echo __("Total addresses subscribed",'argwa').": $num<br /><br />".__("Email added today",'argwa').": $today<br />".__("Email added this week",'argwa').": $week<br />".__("Email added this month",'argwa').": $month<br /><br />";
echo __("Next Mailing in",'argwa')."&nbsp;".round(((((wp_next_scheduled('ar_gwa_daily_event')-time())/60)/60)),1) . ' '.__("hours",'argwa').'.'; 
echo '</div>';
	echo '</div>';
}

function ar_gwa_options_default()
{
	return array( 'title' => __('Subscribe','argwa') );
}

function ar_gwa_optin_init()  
  {  
	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;
		   
            // Register myplugin_widget::display() and myplugin_widget::control()        
       function ar_gwa_display($args, $number = 1)
       {
       $options = get_option_ar_gwa('ar_gwa_widget');
        if(!$options[$number]) {
			   $options[$number] = ar_gwa_options_default();
		    }

    	 extract($options[$number]);
       $list_id = $xID;
    	 $title = $xLabel;
    	 $optin = $xOptin;
		   if(!isset($title))
          $title = __('Subscribe to','argwa').' '.$xName;        

  		extract($args);
       
        if(isset($xPage) && $xPage != 0) {
          if(is_page($xPage)) {
           echo $before_widget;
           echo $before_title . $title . $after_title;
           autoresponder_gwa_form_display($list_id);
           echo $after_widget;
          }
        } else {
        echo $before_widget;
        echo $before_title . $title . $after_title;
        echo autoresponder_gwa_form_display($list_id);
        echo $after_widget;
        }
       }            
       function ar_gwa_control($number)  
       {  
    		global $wpdb;
        // Collect our widget's options.
        $options = $newoptions = get_option_ar_gwa('ar_gwa_widget');
		    if ( !is_array($options) ) {
			   $options = $newoptions = array();
			  }
		    if(!$options[$number]) {
			    $options[$number] = $newoptions[$number] = ar_gwa_options_default();
		    }
    		if($_REQUEST["ar-gwa-submit-{$number}"]) { 
		  	$newoptions[$number]['xEmail'] = strip_tags(stripslashes($_REQUEST["ar-gwa-email-{$number}"]));
        $newoptions[$number]['xLabel'] = strip_tags(stripslashes($_REQUEST["ar-gwa-title-{$number}"]));
		  	$newoptions[$number]['xReturn'] = strip_tags(stripslashes($_REQUEST["ar-gwa-return-{$number}"]));        
        update_option('ar_gwa_from',$newoptions[$number]['xEmail']);
        update_option('ar_gwa_reg_optin',$_REQUEST["ar-gwa-optin-1"]);
        }  
        if ( $options != $newoptions ) {
             $options = ar_gwa_array_copy($newoptions);
            update_option_ar_gwa('ar_gwa_widget', $options);
        }
        $title = htmlentities($options[$number]['xLabel'], ENT_QUOTES);
        $email = htmlentities($options[$number]['xEmail'], ENT_QUOTES);
        $return = htmlentities($options[$number]['xReturn'], ENT_QUOTES);
        $optin = htmlentities($options[$number]['xOptin'], ENT_QUOTES);
?><div>
<label for="ar-gwa-title" style="line-height:35px;display:block;">
<?php _e("Title for Subscription Form",'argwa'); ?>
:</label><input type="text" id="ar-gwa-title-<?php echo $number; ?>" name="ar-gwa-title-<?php echo $number; ?>" value="<?php echo $title; ?>" /><label for="ar-gwa-email" style="line-height:35px;display:block;">
<?php _e("From Email Address for Newsletter",'argwa'); ?>
:</label><input type="text" id="ar-gwa-email-<?php echo $number; ?>" name="ar-gwa-email-<?php echo $number; ?>" value="<?php echo $email; ?>" /><div><label for="ar-gwa-return" style="line-height:35px;display:inline;">
<?php _e("Forward Page after subscribing.",'argwa'); ?>
: </label><?php wp_dropdown_pages(array('depth' => 0, 'child_of' => 0, 'selected' => $return, 'echo' => 1,'name' => 'ar-gwa-return-'.$number, 'show_option_none' => '')); ?><br /><input type="checkbox" id="ar-gwa-optin-<?php echo $number; ?>" name="ar-gwa-optin-<?php echo $number; ?>" value="checked" <?php echo get_option('ar_gwa_reg_optin');?> />&nbsp;<label for="ar-gwa-optin" style="line-height:35px;display:inline;">
<?php _e("Display WP-User Optin Checkbox.",'argwa'); ?></label></div><input type="hidden" name="ar-gwa-submit-<?php echo $number; ?>" value="1" /></div><?php }

function get_option_ar_gwa($widget=NULL) {
  global $wpdb;
  if(is_int($widget)){
  $sql="SELECT * FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$widget."'";
  $ret = $wpdb->get_results($sql);
  $ret['xOptin'] = get_option('ar_gwa_reg_optin');
  return $ret;
  } else {
  $sql="SELECT * FROM ".$wpdb->prefix."ar_gwa_lists ORDER BY xID";
  $rec = $wpdb->get_results($sql,ARRAY_A);
  $arr = array();
  $arr[] = array('');
  $arr2 = array();
  $arr['number'] = count($rec);
  if(is_array($rec)) {
  foreach($rec as $hey) {
   foreach($hey as $k => $v) {   
    $arr2[$k] = $v;
   }
   $arr2['xOptin']=get_option('ar_gwa_reg_optin');

   $arr[] = $arr2;
  }
  } else {
  $bloginfo = array('name' => mysql_real_escape_string(get_bloginfo('name')),
                     'admin' => get_bloginfo('admin_name'),
                     'email' => get_bloginfo('admin_email'));
  $subscribe = mysql_real_escape_string('<!-- [GWA] AutoResponder Begin --><form action="'.get_bloginfo('url').'/index.php" method="POST" name="ARGWA"><table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse; padding: 10px;" bordercolor="#111111"><tr><td><div><b>Name:</b>&nbsp;<input id="argwa_name" type="text" name="gwaname" value="" size="20"><br /><b>Email:</b>&nbsp;<input id="argwa_email" type="text" name="gwaemail" value="" size="20"><br><input type="submit" class="button" value="SUBSCRIBE" name="Add" onclick="return gwaCheckForm1(this.form)"></div></td></tr></table> <input type="hidden" name="act" value="s_add"> <input type="hidden" name="listid" value="1"></form><!-- [GWA] AutoResponder End -->');
   $sql = "INSERT INTO `".$wpdb->prefix."ar_gwa_lists` (`xID`, `xName`, `xEmail`, `xSubscribe`, `xLabel`, `xPage`) values ('','{$bloginfo['name']}','{$bloginfo['email']}','$subscribe','{$bloginfo['name']}','')";
   $results = $wpdb->query( $sql );  
  }
 return $arr;
 }
}

  function update_option_ar_gwa($widget,$options) {
  global $wpdb;
  $wpdb->show_errors();
#  print_r($options);
    update_option('ar_gwa_reg_optin',$options[0]['xOptin']);
    foreach($options as $op) {
    $sql = "UPDATE ".$wpdb->prefix."ar_gwa_lists set `xName`='{$op['xName']}',`xLabel`='{$op['xLabel']}',`xPage`='{$op['xPage']}',`xEmail`='{$op['xEmail']}',`xReturn`='{$op['xReturn']}' WHERE xID='{$op['xID']}'";
    $wpdb->query($sql);
    }
  }
	function ar_gwa_widget_setup() {
		$options = $newoptions = get_option_ar_gwa('ar_gwa_widget');
		if ( isset($_POST['ar-gwa-number-submit']) ) {
			$number = (int) $_POST['ar-gwa-number'];
			if ( $number > 9 ) $number = 9;
			if ( $number < 1 ) $number = 1;
			$newoptions['number'] = $number;
		}
		
		if ( $options != $newoptions ) {
			$options = $newoptions;
        if(!$newoptions['number']) 
        $newoptions['number'] = $number;
			update_option_ar_gwa('ar_gwa_widget', $options);
			ar_gwa_widget_register($newoptions['number']);
		}
	}
	
	function ar_gwa_widget_register() {
		$options = get_option_ar_gwa('ar_gwa_widget');
		$number = $options['number'];
		if ( $number < 1 ) $number = 1;
		if ( $number > 9 ) $number = 9;
		for ($i = 1; $i <= 9; $i++) {
			$name = array('Autoresponder #%s', 'widgets', $i);
			register_sidebar_widget($name, $i <= $number ? 'ar_gwa_display' : /* unregister */ '', $i);
			register_widget_control($name, $i <= $number ? 'ar_gwa_control' : /* unregister */ '', 0, 0, $i);
		}
		add_action('sidebar_admin_setup', 'ar_gwa_widget_setup');
	}
	
	ar_gwa_widget_register();
}
add_action('plugins_loaded', 'ar_gwa_optin_init');

if(get_option('ar_gwa_reg_optin')=='checked'){
add_action( 'register_form', 'ar_gwa_reg_subscribe_form' );	
add_action( 'user_register', 'ar_gwa_reg_subscribe_user' );	
}

function ar_gwa_reg_subscribe_user() {
 global $wpdb;
 $wpdb->show_errors;
 $lName = $_REQUEST['user_login'];
 $lEmail = $_REQUEST['user_email'];
 $wpdb->show_errors();
 if(is_array($_REQUEST['LIST'])){
  foreach($_REQUEST['LIST'] as $list) {
	$qry = "SELECT lID FROM ".$wpdb->prefix."ar_gwa_leads WHERE lEmail='".$lEmail."' AND lLID='".$listid."'";
  $r = $wpdb->get_var($qry);
	if($r==0) {	
	 $qry = "INSERT INTO ".$wpdb->prefix."ar_gwa_leads(lLID, lName, lEmail, lDateEntry, lDateOut, lMOut, lCnf) VALUES('".$list."','".$lName."', '".$lEmail."' ,current_date, current_date, '0','1')";
	 $wpdb->query($qry);   
   }
  } //end foreach
 }
}

function ar_gwa_reg_subscribe_form() {
 global $wpdb;
 $wpdb->show_errors();
 $qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_lists";
 $rec = $wpdb->get_results($qry,ARRAY_A);
 foreach($rec as $rc) 
 echo '<input type="checkbox" name="LIST[]" value="'.$rc[xID].'" checked> Subscribe to '.$rc[xName].'<br /><br />';
}

function ar_gwa_getlistname($listid) {
 global $wpdb;
 $wpdb->show_errors();
 $qry = "SELECT xName FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'";
 return $wpdb->get_var($qry);
}

function admin_ar_gwa_main() {
global $wpdb,$ctag,$postem;

$listid = $_REQUEST['listid'];
if(!isset($_REQUEST['listid']))
  $listid = $wpdb->get_var("SELECT xID FROM ".$wpdb->prefix."ar_gwa_lists ORDER BY xName LIMIT 0,1");

if($wpdb->get_var("SHOW columns FROM `".$wpdb->prefix."ar_gwa_lists` like 'xPopin'") != 'xPopin') {
$psql="ALTER TABLE `".$wpdb->prefix."ar_gwa_lists` ADD `xPopin` text";
$results = $wpdb->query( $psql );  
$psubscribe = mysql_real_escape_string('<form action="'.get_bloginfo('url').'/index.php" method="POST" name="ARGWA"><table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse; padding: 10px;"><tr><td><div>Name:&nbsp;<input  id="argwa_name" type="text" name="gwaname" value="" size="20"><br />Email:&nbsp;<input  id="argwa_email" type="text" name="gwaemail" value="" size="20"><br><input type="submit" class="button" value="ADD" name="Add" onclick="return gwaCheckForm1(this.form)"></div></td></tr></table> <input type="hidden" name="act" value="s_add"> <input type="hidden" name="listid" value="'.$listid.'"></form>');
$xqry = "UPDATE ".$wpdb->prefix."ar_gwa_lists SET xPopin='".$psubscribe."' WHERE xID='".$listid."'";
$wpdb->query($xqry);
}

if($_REQUEST['act']=='main') {
 if(isset($_REQUEST['sched'])) {
  wp_clear_scheduled_hook('ar_gwa_daily_event');
	wp_schedule_event((time()+86400), 'daily', 'ar_gwa_daily_event');
 } else if(isset($_REQUEST['submit']) || isset($_REQUEST['update'])) {
  set_ar_gwa_options();
 }
 if(isset($_REQUEST['update'])) 
 $ttd1 = 'tabbertabdefault';
  else 
 if(isset($_REQUEST['replace'])) 
 $ttd2 = 'tabbertabdefault';
  else 
 if(isset($_REQUEST['popinreplace'])) 
 $ttd3 = 'tabbertabdefault';
}

if(isset($_REQUEST['replace'])) {
$xqry = "UPDATE ".$wpdb->prefix."ar_gwa_lists SET xSubscribe='".mysql_real_escape_string($_REQUEST['subscribe_textarea'])."' WHERE xID='".$listid."'";
$wpdb->query($xqry);
}

$ar_gwa_popin = get_option('ar_gwa_popin');
if(isset($_REQUEST['ar_gwa_submit_pp'])==1) {
  if(isset($_REQUEST['ar_gwa_popinon'])) {
    $ar_gwa_popin = $_REQUEST['ar_gwa_popinon'];
    update_option('ar_gwa_popin',$_REQUEST['ar_gwa_popinon']);
    } else { 
    $ar_gwa_popin = '';
    delete_option('ar_gwa_popin');
  }



if(isset($_REQUEST['popinreplace'])) {
$xqry = "UPDATE ".$wpdb->prefix."ar_gwa_lists SET xPopin='".mysql_real_escape_string($_REQUEST['popin_textarea'])."' WHERE xID='".$listid."'";
$wpdb->query($xqry);
}

if(isset($_REQUEST['popinreset'])) {
$subscribe = mysql_real_escape_string('<form action="'.get_bloginfo('url').'/index.php" method="POST" name="ARGWA"><table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse; padding: 10px;"><tr><td><div>Name:&nbsp;<input  id="argwa_name" type="text" name="gwaname" value="" size="20"><br />Email:&nbsp;<input  id="argwa_email" type="text" name="gwaemail" value="" size="20"><br><input type="submit" class="button" value="SUBSCRIBE" name="Add" onclick="return gwaCheckForm1(this.form)"></div></td></tr></table> <input type="hidden" name="act" value="s_add"> <input type="hidden" name="listid" value="'.$listid.'"></form>');
$xqry = "UPDATE ".$wpdb->prefix."ar_gwa_lists SET xPopin='".$subscribe."' WHERE xID='".$listid."'";
$wpdb->query($xqry);
}
}
if(isset($_REQUEST['reset'])) {
$subscribe = mysql_real_escape_string('<form action="'.get_bloginfo('url').'/index.php" method="POST" name="ARGWA"><table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse; padding: 10px;"><tr><td><div>Name:&nbsp;<input  id="argwa_name" type="text" name="gwaname" value="" size="20"><br />Email:&nbsp;<input  id="argwa_email" type="text" name="gwaemail" value="" size="20"><br><input type="submit" class="button" value="ADD" name="Add" onclick="return gwaCheckForm1(this.form)"></div></td></tr></table> <input type="hidden" name="act" value="s_add"> <input type="hidden" name="listid" value="'.$listid.'"></form>');
$xqry = "UPDATE ".$wpdb->prefix."ar_gwa_lists SET xSubscribe='".$subscribe."' WHERE xID='".$listid."'";
$wpdb->query($xqry);
}
$qry = "SELECT xSubscribe FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'";
$formbox = stripslashes(preg_replace("/{id}/",$listid,$wpdb->get_var($qry)));
$qry = "SELECT xPopin FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'";
$popinbox = stripslashes(preg_replace("/{id}/",$listid,$wpdb->get_var($qry)));
$ttl_leads = $wpdb->get_var("SELECT COUNT(lID) FROM ".$wpdb->prefix."ar_gwa_leads WHERE lCnf=1");
if( round(((((wp_next_scheduled('ar_gwa_daily_event')-time())/60)/60)),1) < 1)
  $ar_color="#ff0000";
else
  $ar_color="#666666";


$ar_gwa_nospam = get_option('ar_gwa_nospam');
$sendEmail = get_option('ar_gwa_unsub');
$sendEmailSub = get_option('ar_gwa_addsub');
$ar_gwa_no_spam = get_option('ar_gwa_no_spam');

if($_REQUEST['ar_gwa_wp']=="wp_head" && get_option('ar_gwa_wp')!='wp_head') {
remove_action('template_redirect','ar_gwa_signup');
remove_action('init','ar_gwa_signup');
add_action('wp_head','ar_gwa_signup');
update_option('ar_gwa_wp','wp_head');
} else if($_REQUEST['ar_gwa_wp']=='template_redirect' && get_option('ar_gwa_wp')!='template_redirect'){
remove_action('wp_head','ar_gwa_signup');
remove_action('init','ar_gwa_signup');
add_action('template_redirect','ar_gwa_signup');
update_option('ar_gwa_wp','template_redirect');
} else if($_REQUEST['ar_gwa_wp']=='init' && get_option('ar_gwa_wp')!='init'){
remove_action('wp_head','ar_gwa_signup');
remove_action('template_redirect','ar_gwa_signup');
add_action('init','ar_gwa_signup');
update_option('ar_gwa_wp','init');
} 
if(get_option('ar_gwa_wp')=='wp_head') $wp1='selected'; elseif(get_option('ar_gwa_wp')=='init') $wp3='selected'; else $wp2='selected';
     
if(isset($_REQUEST['ar_gwa_submit_cb'])==1) {

  if(isset($_REQUEST['ar_gwa_no_spam']))
    $ar_gwa_no_spam = 'checked';
  else 
    $ar_gwa_no_spam = '';//get_option('ar_gwa_no_spam');

  if(isset($_REQUEST['ar_gwa_nospam'])) {
    $ar_gwa_nospam = strip_tags($_REQUEST['ar_gwa_nospam']);
  }
if($_REQUEST['ar_gwa_addsub']=="")
$sendEmailSub =0;
else
$sendEmailSub =1;

if($_REQUEST['ar_gwa_unsub']!="")
$sendEmail = $_REQUEST['ar_gwa_unsub'];
else
$sendEmail = get_option('ar_gwa_unsub');

update_option('ar_gwa_unsub',$sendEmail);
update_option('ar_gwa_addsub',$sendEmailSub);
 delete_option('ar_gwa_nospam');
 add_option('ar_gwa_nospam',$ar_gwa_nospam,'');
 delete_option('ar_gwa_no_spam');
 add_option('ar_gwa_no_spam',$ar_gwa_no_spam,'');
}
if (function_exists('wp_tiny_mce')) wp_tiny_mce( false ,
array(
"editor_selector" => "editorContent,editorContent2",
"plugins" => "spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
"theme_advanced_buttons1" => "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
"theme_advanced_buttons2" => "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
"theme_advanced_buttons3" => "hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen,|,spellchecker",
"extended_valid_elements" => "form[*],div[*],style[*],p[*],table[*],td[*]",
"skin" => "o2k7",
"skin_variant" => "silver",)
);?>
<script type="text/javascript">
<!--
function toggleEditor(id) {
	if (!tinyMCE.getInstanceById(id))
		tinyMCE.execCommand('mceAddControl', false, id);
	else
		tinyMCE.execCommand('mceRemoveControl', false, id);
}
toggleEditor('editorContent')
toggleEditor('editorContent2')

-->
</script>
<?php
echo print_gwaCheck(); 
echo '<div class="wrap">';
if(!isset($_COOKIE["GWAADMINPOP"])) {
$testbutton = '<input type="submit" class="button" value="'.__("TEST FLY-IN DISPLAY.",'argwa').'" name="popintest">';
} else {
$testdesc = '<span style="color:#f00;">'.__("For easy testing your fly-in display will appear with each page loaded FOR YOU ONLY until fly-in test is cancelled.",'argwa').'</span>';

echo '<div id="message" class="updated fade"><p>'.__("<strong>Fly-in Test Enabled.</strong> Click the button on the FLY-IN HTML tab again to cancel the forced display of your fly-in on your blog.",'argwa')." ".$testdesc.'</p></div>';
$testbutton = '<input style="color:#f00;border-color:#f00" type="submit" class="button" value="'.__("CANCEL FLY-IN TEST.",'argwa').'" name="poptest">';
}
echo $postem;
echo '<div class="tabber"><div class="tabbertab"><h2>MAIN</h2>';
echo '<table border=0><tr><td width="50%" valign="top">';
echo "<form action='' method='POST'>";
echo '<div style="border: solid 1px #ccc;padding:6px; background-color:#e4f2fd;width:440px;"><div style="position:relative;float:right;">'.argwa_get_note(1).'</div><strong>'.__("Active Subscribers",'argwa').':</strong> '.$ttl_leads.'<br /><strong><span style="color:'.$ar_color.';">'.__("Next Scheduled Mailing in",'argwa').': '.round(((((wp_next_scheduled('ar_gwa_daily_event')-time())/60)/60)),1) . ' '.__("hours",'argwa').'.</span></strong><br />'; 
_e('Send Time:','argwa');
echo ' '.(date_i18n('l jS \of F Y h:i:s A',(wp_next_scheduled('ar_gwa_daily_event')+(get_option('gmt_offset')*3600)) ) ).'</span><br />'.sprintf(__("Current Time: %s",'argwa'),date_i18n('l jS \of F Y h:i:s A')).'<br /><strong>',__("RESET NEXT SEND TIME",'argwa').'</strong> '.__("to 24 hours from now",'argwa').'.&nbsp;<input type="submit" name="sched" value="'.__("Reschedule",'argwa').'" class="button" align="right"></div><br />';
echo '</div><input type="hidden" name="act" value="main"></div></form>';
echo '</td><td width="22"></td><td align="left" valign="top"><table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse; padding: 10px;" bordercolor="#111111"><tr><td><div color:#000;text-align:left;width:340px;">';
echo '<div style="position:relative;float:left;width: 340px;padding:3px;margin-bottom:0px;border: solid 1px #ccc;background-color:#e4f2fd;z-index:1">';
echo '<small><a title="'.__("Register and upgrade for more functionality.",'argwa').'" href="http://FreeAutoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_new">'.__("Upgrade to Pro",'argwa').'</a> '.__("to create more lists, subscribe 1000s leads, add 999 daily messages, and access functionality like send-by-date broadcasts, file attachments, url click tracking, and single opt-in lists.",'argwa').'</small><p align="right" style="margin:0px;padding:0px;"><small>'.__('Courtesy of','argwa').'&nbsp;<a href="'.get_option('ar_gwa_aff_url').'" target="_blank">'.get_option('ar_gwa_aff_title').'</a></small>';
#echo '<br /><small><b><i>'.__("Do you need Personal Wordpress Support?",'argwa').'</i></b> <a href="http://support.getwebactive.com" target="_blank" title="Will open in a New Window">'.__("Click Here",'argwa').'</a></small>';
echo '</div></div></form></td></tr></table></td></tr></table><b>';
_e('Welcome to your new free Email Autoresponder for Wordpress.','argwa');
echo '&nbsp;<a href="'.WP_PLUGIN_URL.'/autoresponder-gwa/FreeAutoresponderSetup.pdf" target="_blank">'.__("Click Here",'argwa').'</a> '.__("to view the Quick Setup Guide.",'argwa');
echo '</b><p>'.__('Check the','argwa').' <a href="?page=ar_gwa_help">'.__('HELP Page','argwa').'</a> '.__('for complete information on setting up your list details. You may customize your list settings and select a page to forward subscribers to in the','argwa').' <a href="widgets.php">'.__('Widget Options Menu','argwa').'</a>. '.__('On the','argwa').' <a href="?page=ar_gwa_edit_message">'.__('Message Page','argwa').'</a> '.__('you can add your pre-written messages to be sent to subscribers on a schedule you create.','argwa').'&nbsp;';
if((get_option('ar_gwa_aff_id'))<2) {if((get_option('ar_gwa_cb'))=='checked') echo '<a name="dsp"></a><a href="?page=ar_gwa_help&ar_gwa_cb=1">'.__("Click here",'argwa').'</a> '.__("to remove subscription form tag",'argwa').'.&nbsp;'; else if ((get_option('ar_gwa_cb'))=='unbranded') echo '<br /><br /><a name="dsp"></a><a href="?page=ar_gwa_help&ar_gwa_cb=2">'.__("Display subscription form",'argwa').'</a> '.__("branding and/or please",'argwa').' <a href="'.get_option('ar_gwa_aff_url').'" target="_blank" title="'.__("Visit plugin author's website",'argwa').' '.get_option('ar_gwa_aff_title').'. '.__("Will open in a New Window.",'argwa').'">'.__("show your support for the plugin author",'argwa').'.</a><br /><br />';}
echo __('Use the','argwa').' <a href="?page=ar_gwa_leads">'.__('Leads Page','argwa').'</a> '.__('to manage subscribers as well as import/export your address list. Send a mass mailing to your entire list instantly on the','argwa').' <a href="?page=ar_gwa_edit_message">'.__('Send Email tab','argwa').'</a>. '.__('The tabs on the main','argwa').' <a href="?page=autoresponder-gwa/ar_gwa.php">'.__('Options Page','argwa').'</a> '.__('of the plugin above offer access to list settings in addition to those found in the','argwa').' <a href="widgets.php">'.__('Widget','argwa').'</a>. ';
echo '</p><b>'.__('AUTOMATION NOTE','argwa').'</b>: '.__("The mailer runs the first time your blog is visited after the scheduled &quot;Send Time&quot; has passed. If you do not get regular traffic to your weblog you will need to setup a <a href='?page=ar_gwa_help#cron'>CRONJOB</a> to load your blog (see your host's Server Control Panel.)",'argwa').'&nbsp;<br /><br /><strong style="color: rgb(255, 0, 0);">'.__('WARNING: Sending too many emails too often can cause problems on a shared or free host. Read the terms and conditions provided by your web-host and know your limits.','argwa').'</strong>'; 
echo '</div><div class="tabbertab '.$ttd1.'" ><h2>SETUP</h2>';
echo '<form action="#" method="POST"><input type="hidden" name="act" value="main"><table width="100%"><tr><td><div style="position:relative;float:left;border: solid 1px #ccc;padding:6px;background-color:#e4f2fd;width:98%;"><div style="float:left;width:65%;"><div style="position:relative;float:left;">'.argwa_get_note(3).'</div><input type="hidden" name="ar_gwa_submit_cb" value="1">'.__("Enter custom <b>message footer</b> to be added to all outgoing email.",'argwa').'<br /><textarea name="ar_gwa_nospam" cols=65>'.stripslashes(stripslashes($ar_gwa_nospam)).'</textarea><br /><input type="checkbox" name="ar_gwa_no_spam" value="1" '.$ar_gwa_no_spam.'>&nbsp;'.__("Enable automatic addition of custom footer to all messages.",'argwa').argwa_get_note(4).'<br /><br /><div style="position:relative;float:left;">'.argwa_get_note(5).'</div>'.__("Enter custom <b>unsubscribe link text</b> for email messages.",'argwa').'<br /><textarea cols=65 name="ar_gwa_unsub">'.stripslashes(stripslashes(get_option('ar_gwa_unsub'))).'</textarea><br /><input type="checkbox" value="ON" name="ar_gwa_addsub"';
if(get_option('ar_gwa_addsub')==1) echo 'checked';
echo '>&nbsp;'.__("Automatically add unsubscribe link to every message sent.",'argwa').argwa_get_note(6).'<br /><br /><div style="position:relative;float:left;">'.argwa_get_note(7).'</div>'.__("Enter <b>subscription success</b> response to display on weblog.",'argwa').'<br /><textarea cols=65 name="add_lead">'.stripslashes(stripslashes(get_option('ar_gwa_addlead'))).'</textarea><br /><br /><div style="position:relative;float:left;">'.argwa_get_note(8).'</div>'.__("Enter <b>unsubscribe success</b> response to display on weblog.",'argwa').'<br /><textarea cols=65 name="rmv_lead">'.stripslashes(stripslashes(get_option('ar_gwa_rmvlead'))).'</textarea><br /><br /><div style="position:relative;float:left;">'.argwa_get_note(9).'</div>'.__("Enter <b>subscribe failure</b> text to display on website.",'argwa').'<br /><textarea name="bad_lead" cols=65>'.stripslashes(stripslashes(get_option('ar_gwa_badlead'))).'</textarea></div><div style="float:right;width:245px;"><div style="padding:5px;border:dashed 1px #666;">'.argwa_get_note(10).'<strong>WP_HOOK*</strong><br /><select name="ar_gwa_wp"><option '.$wp3.'>init</option><option '.$wp1.'>wp_head</option><option '.$wp2.'>template_redirect</option></select>&nbsp;<input type="submit" name="update" value="'.__("UPDATE",'argwa').'" class="button"></div><br /><small>* '.__("If you have problems with user page redirects after form submission try selecting a different hook above.",'argwa').'</small><br /><p>'.__("Footer will be added to the bottom of every email.",'argwa').'<br /><br />'.__("Great for easy CAN SPAM Compliance",'argwa').'.</p><p>'.__("Enter the unsubscribe link message for your newsletters here.",'argwa').'<br /><br />'.__("The other messages will be displayed after subscribing.",'argwa').'<br /><br />'.__("Your note will be inserted after the script status output and before existing page content",'argwa').'.<br /><br />'.__("The page to be displayed may be set for each list in the",'argwa').' <a href="widgets.php">'.__("Widget Options Menu",'argwa').'.</a><br /><br /><input type="submit" name="update" value="'.__("UPDATE",'argwa').'" class="button"><br /></div></div></td></tr></table></form></div>
<div class="tabbertab '.$ttd2.'"><h2>FORM HTML</h2><form action="#" method="POST"><h3>'.__("Widget and Portable Subscription Form",'argwa').argwa_get_note(11).'</h3>'.__("Below is the actual display (html) used in your Subscription Form widget. You may edit and submit this form to edit your subscription widget display. To view or edit the raw html select PLAIN-TEXT in the dropdown box below. Use the RESET-BUTTON if your form stops working after modification. All changes are applied immediately.",'argwa').'<br /><br /><input type="hidden" name="act" value="main"><div style=""><div style="width:40%"><textarea cols=60 rows=15 name="subscribe_textarea" id="editorContent" style="height:200px;border:solid 1px #ccc;" class="mceEditor">'.$formbox.'</textarea>';
echo '</div>
<!--<div style="width:300px;height:193px;max-height:225px;overflow:auto;position:relative;padding:10px;border:solid 1px #ccc;background-color:#fff;">Subscription Form Widget :: Live Example<br /><br /><div>'.$formbox.'</div></div>--></div>
<br /><select name="mType" style="width:100px;" onchange="toggleEditor(\'editorContent\')" /><option value="html" selected>HTML<option value="text">PLAIN TEXT</select>&nbsp;<strong>'.__("You can put this html on any website to collect leads on your weblog!",'argwa').'</strong>'.argwa_get_note(12).'<br /><br /><input type="submit" class="button" value="'.__("SUBMIT",'argwa').'" name="replace"> '.__("to COMMIT CHANGES made above. Click here to",'argwa').'&nbsp;<input type="submit" class="button" value="'.__("RESET BROKEN FORM.",'argwa').'" name="reset"><br /><br /><input type="hidden" name="listid" value="'.$listid.'"></form></div>
<div class="tabbertab '.$ttd3.'"><h2>FLY-IN HTML</h2><form action="#" method="POST"><h3>'.__("Fly-in Subscription Form",'argwa').argwa_get_note(13).'</h3>'.__("Below is the fly-in window display (html) form. You may edit and submit this form to edit your fly-in display. To view or edit the raw html select PLAIN-TEXT in the dropdown box below. Use the RESET-BUTTON if your form stops working after modifying the display. All changes are applied immediately.",'argwa').' '.$testdesc.'<br /><br /><input type="hidden" name="act" value="main"><div style=""><div style="width:40%"><textarea cols=60 rows=15 name="popin_textarea" id="editorContent2" style="height:200px;border:solid 1px #ccc;" class="mceEditorPop">'.$popinbox.'</textarea></div>
<!--
<div style="width:300px;height:193px;max-height:225px;overflow:auto;position:relative;padding:10px;border:solid 1px #ccc;background-color:#fff;">Fly-in Window :: Example<br /><br /><div>'.$popinbox.'</div>
-->
</div><br /><select name="mType" style="width:100px;" onchange="toggleEditor(\'editorContent2\')" /><option value="html" selected>HTML<option value="text">PLAIN TEXT</select>&nbsp;&nbsp;<input type="checkbox" name="ar_gwa_popinon" value="checked" '.$ar_gwa_popin.'>&nbsp;<strong>'.__("Activate (Display fly-in form to visitors on first page loaded.)",'argwa').'</strong>'.argwa_get_note(14).'<br /><br /><input type="submit" class="button" value="'.__("SUBMIT",'argwa').'" name="popinreplace"> '.__("to COMMIT CHANGES made above. Click here to",'argwa').'&nbsp;<input type="submit" class="button" value="'.__("RESET BROKEN FORM.",'argwa').'" name="popinreset">&nbsp;&nbsp;&nbsp;'.$testbutton.argwa_get_note(15).'<br />'.$testdesc.'</div><br /><br /><input type="hidden" name="listid" value="'.$listid.'"><input type="hidden" name="ar_gwa_submit_pp" value="1"></form></div></div></div></div>'.$ctag; 
}

function admin_ar_gwa_messages($msg=NULL) {
global $wpdb,$postem;
$wpdb->show_errors();
if(isset($_REQUEST['listid']) && !isset($_REQUEST['RESET'])) $qual = "WHERE mLID='".$_REQUEST['listid']."'";
$arSql = "SELECT * FROM " . $wpdb->prefix . "ar_gwa_msg $qual ORDER BY mDay";
$res = $wpdb->get_results($arSql);
echo $postem;
echo '<div id=""><div class="wrap" style="width:90%"><div class="tabber"><div class="tabbertab" style="width:90%"><h2>'.__("Manage Messages",'argwa').'</h2>';
if($res) 
{
?>
<br class="clear" />
<?php
	echo '<form method="post" action="?page=ar_gwa_edit_message" id="armsgs-filter">';
	echo '<table>';
?>
<table class="widefat">

	<thead>
	<tr>

	<th scope="col" class="check-column" align="left"><input type="checkbox" onclick="checkAll(document.getElementById('armsgs-filter'));" /></th>
	<th scope="col"><?php _e("List",'argwa'); ?></th>
	<th scope="col"><?php _e("Day",'argwa'); ?></th>
	<th scope="col"><?php _e("Subject",'argwa'); echo argwa_get_note(16);?></th>
	<th scope="col"><?php _e("Type",'argwa'); ?></th>
	</tr>
	</thead>
	<tbody>
	<tr id='leads-1' class='alternate author-self status-publish' valign="top">
<?php	
	foreach($res as $row)
	{
		echo '<tr><td><input type="checkbox" name="mID[]" value="'.$row->mID.'"></td><td align="left">';
		echo ar_gwa_getlistname($row->mLID),'</td><td>';
		echo $row->mDay,'</td><td>';
		echo '<a href="?page=ar_gwa_edit_message&mDay='.$row->mDay.'&mID='.$row->mID.'&listid='.$row->mLID.'" title="'.__("Click to edit message",'argwa').'">'.stripslashes($row->mSubject).'</a></td><td>';
		echo '<strong>'.$row->mType,'</strong></td></tr>';
	}
	echo '</table><p><input type="submit" class="button" value="'.__("Delete Checked",'argwa').'">&nbsp;'.argwa_get_note(17).'<input type="hidden" name="act" value="del"></p></form>';
?>

<br class="clear" />
</div>
<?php
  } else {
  _e("No Records",'argwa').'</div>';
  }
  ?>
 <div class="tabbertab"><h2><?php _e("Add New Message",'argwa');?></h2>
 <?php admin_ar_gwa_add_message();?>

 <div class="tabbertab"><h2><?php _e("Send Message",'argwa');?></h2>
 <?php admin_ar_gwa_email_leads(); ?> 
 </div>
   <?php
echo '</div><!-- wpbody --></div><!-- wpcontent --></div><!-- wpwrap -->';
 }
 
function admin_ar_gwa_add_message() {
global $wpdb,$ctag;
$wpdb->show_errors();

$g_error = array();
if(!$_REQUEST['mBody'])
$_REQUEST['mBody']='';
if(!$_REQUEST['mType'])
$_REQUEST['mType']='';
if(!$_REQUEST['act'])
$_REQUEST['act']='';

if($_REQUEST['act'] == 'add')
{
	if(!$_REQUEST['mSubject'] || !$_REQUEST['mBody']) { $g_error[''] = 20; }
	if($_REQUEST['mDay'] < 0 || $_REQUEST['mDay'] > 59 || !is_numeric($_REQUEST['mDay']) || !$_REQUEST['listid']) { $g_error[] = 22; }
	else
	{
		$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_msg WHERE mDay = '".$_REQUEST['mDay']."' AND mLID = '".$_REQUEST['listid']."'";
		$res = $wpdb->get_results($qry);		
		if($res) { $g_error[] = 21; }
	}
	if(!count($g_error))
	{		
		$qry = "INSERT INTO ".$wpdb->prefix."ar_gwa_msg(mSubject, mBody, mDay, mType, mLID) VALUES('".$wpdb->escape($_REQUEST['mSubject'])."','".$wpdb->escape($_REQUEST['mBody'])."','".$_REQUEST['mDay']."','".$_REQUEST['mType']."','".$_REQUEST['listid']."')";
    $wpdb->query($qry);
    $_REQUEST['addNewMessage']='';
#		admin_ar_gwa_messages();
echo '<div id="message" class="updated fade"><p>Message added successfully. <a href="?page=ar_gwa_edit_message">Click here</a> to continue.</div>';
		exit;
	} else {
	ar_gwa_showError($g_error);
	}
} 
if (function_exists('wp_tiny_mce')) wp_tiny_mce( false ,
array(
"editor_selector" => "editorContent",
"plugins" => "spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
"theme_advanced_buttons1" => "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
"theme_advanced_buttons2" => "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
"theme_advanced_buttons3" => "hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen,|,spellchecker",
"extended_valid_elements" => "form[*],div[*],style[*],p[*],table[*],td[*]",
"skin" => "o2k7",
"skin_variant" => "silver",)
);?>
<script type="text/javascript">
<!--
function toggleEditors(id) {
	if (!tinyMCE.getInstanceById(id))
		tinyMCE.execCommand('mceAddControl', false, 'editorC');
	else
		tinyMCE.execCommand('mceRemoveControl', false, 'editorC');
}
-->
</script>
<div id="">
<div class="wrap">
<form name="mForm" method="post" action="?page=ar_gwa_edit_message">
<table align="center">
	<tr>
		<td><?php _e("Day",'argwa'); ?></td>
		<td><input type="text" name="mDay" style="width:100px;" maxlength="2" value=""> (0-60) <?php echo argwa_get_note(18);?></td>
	</tr>
	<tr>
		<td><?php _e("Type",'argwa');?></td>
		<td>
		<select name="mType" style="width:100px;" onchange="toggleEditors('editorC')"/>
		<option value="html" >HTML
		<option value="text" selected>PLAIN TEXT
		</select><?php echo argwa_get_note(19);?>
		</td>
	</tr>
	<tr>
		<td><?php _e("Subject",'argwa'); ?></td>
		<td><input type="text" name="mSubject" style="width:270px;" maxlength="250" value=""></td>
	</tr>
<tr>
		<td>&nbsp;</td><td style="background-color:#e4f2fd;border:solid 1px #f00;padding:5px;width:450px;"><b>We HATE SPAM!</b> And so does the FTC. Fines for sending spam can be as high as $11,000 per violation! Protect yourself. Know the law. <a href="http://en.wikipedia.org/wiki/CAN-SPAM_Act_of_2003" title="Opens in a new Window." target="_blank">Click here to see the Can-Spam Act.</a></td>
</tr>
	<tr>
		<td valign="top"><?php _e("Body",'argwa'); ?></td>
		<td><textarea id="editorC" name="mBody" cols="45" rows="7" style="width:450px; height:250px;" class="mceEditors"></textarea></td>
	</tr>

	<tr>
		<th></th>
		<th><?php _e("TAGS",'argwa'); ?> - <?php _e("DESCRIPTION",'argwa'); ?></th>

	</tr>
	<tr>
		<td></td>
		<td>&lt;?Name?&gt; - <?php _e("Name of the lead.",'argwa'); ?></td>
	</tr>
	<tr>
		<td></td>
		<td>&lt;?Email?&gt; - <?php _e("Email of the lead.",'argwa'); ?></td>
	</tr>
	<tr>
		<td></td>
		<td>&lt;?Unsubscribe?&gt; - <?php _e("Link for the lead to unsubscribe.",'argwa'); ?></td>
	</tr>

	<tr>
		<td>&nbsp;</td>
		<td><input type="submit" class="button" value="<?php _e("Add Message",'argwa'); ?>" name="addNewMessage"><?php echo argwa_get_note(20);?></td>
	</tr>
</table>
<input type="hidden" name="act" value="add">
<input type="hidden" name="listid" value="1">
</form><?=$ctag?>
</div>
</div>
<?php
}

function admin_ar_gwa_edit_message() {
global $wpdb,$ctag,$postem;
if($_REQUEST['addNewMessage']!="") 
admin_ar_gwa_add_message();
else
if($_REQUEST['sendMessage']!="")
admin_ar_gwa_email_leads();
else
if($_REQUEST['act'] == 'del')
{
	// delete messages
	$mID = $_REQUEST['mID'];
	for($i = 0; $i < count($mID); $i++)
	{
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ar_gwa_msg WHERE mID='$mID[$i]'");
	}
  echo '<div id="message" class="updated fade"><p>'.$i.' '.__("Messages deleted. <a href=\"?page=ar_gwa_edit_message\">Click here</a> to continue.",'argwa').'</p></div>';

} else if($_REQUEST['act'] == 'edit')
{
	if(!$_REQUEST['mSubject'] || !$_REQUEST['mBody']) { $g_error[] = 20; }
	if($_REQUEST['mDay'] < 0 || $_REQUEST['mDay'] > 59 || !is_numeric($_REQUEST['mDay']) || !$_REQUEST['listid']) { $g_error[] = 22; }
	else
	{
		$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_msg WHERE mDay = '{$_REQUEST['mDay']}' AND mID != '{$_REQUEST['mID']}' AND mLID = '{$_REQUEST['listid']}'";
    $res = $wpdb->get_results($qry,ARRAY_A);
		if($res) { $g_error[] = 21; }
	}
	if(!count($g_error))
	{		
		$qry="UPDATE ".$wpdb->prefix."ar_gwa_msg SET mSubject='".$wpdb->escape($_REQUEST['mSubject'])."',mBody='".$wpdb->escape($_REQUEST['mBody'])."',mDay='{$_REQUEST['mDay']}',mType='{$_REQUEST['mType']}',mLID='{$_REQUEST['listid']}' WHERE mID='{$_REQUEST['mID']}'";
   $res = $wpdb->query($qry);
  admin_ar_gwa_messages();
  exit;
	}
} else if($_REQUEST['mID'] && $_REQUEST['listid']) { 
  $qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_msg WHERE mID='{$_REQUEST['mID']}' AND mLID = '{$_REQUEST['listid']}'";
  $row = $wpdb->get_results($qry,ARRAY_A);
 if($row = $row[0])
 {
	$opt = array('text' => '', 'html' => '');
	$opt[$row['mType']] = 'selected';
echo '<div id=""><div class="wrap"><form name="mForm" method="post" action="?page=ar_gwa_edit_message">';
?>
<h2><?php _e("Edit Message",'argwa');?></h2>
<div style="border: solid 1px #ccc;padding:6px; background-color:#e4f2fd;width:80%;">
<?php
	echo '<table align="center">';
if (function_exists('wp_tiny_mce')) wp_tiny_mce( false ,
array(
"editor_selector" => "editorContent",
"plugins" => "spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
"theme_advanced_buttons1" => "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
"theme_advanced_buttons2" => "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
"theme_advanced_buttons3" => "hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen,|,spellchecker",
"extended_valid_elements" => "form[*],div[*],style[*],p[*],table[*],td[*]",
"skin" => "o2k7",
"skin_variant" => "silver",)
);
echo '<script type="text/javascript">
<!--
function toggleEditor(id) {
	if (!tinyMCE.getInstanceById(id))
		tinyMCE.execCommand(\'mceAddControl\', false, id);
	else
		tinyMCE.execCommand(\'mceRemoveControl\', false, id);
}';
if($row['mType']=='html') {
echo 'toggleEditor(\'contentEditor\')';
}
echo '
-->
</script>'."\n\n";

	echo '<tr><td>'.__("Day",'argwa').'</td>';
	echo '<td><input type="text" name="mDay" style="width:100px;" value="'.$row['mDay'].'"> (0-60)</td></tr>';
	
	echo '<tr><td>'.__("Type",'argwa').'</td>';
	echo '<td><select name="mType" style="width:100px;" onchange="toggleEditor(\'contentEditor\')">';
	echo '<option value="text" '.$opt['text'].'>PLAIN TEXT</option>';
	echo '<option value="html" '.$opt['html'].'>HTML</option>';
	echo '</select></td></tr>';
	
	echo '<tr><td>'.__("Subject",'argwa').'</td>';
	echo '<td><input type="text" name="mSubject" style="width:270px;" maxlength="250" value="'.$row['mSubject'].'"></td></tr>';
	
	echo '<tr><td valign="top">BODY</td>';
	echo '<td><textarea id="contentEditor" name="mBody" style="width:270px; height:200px;">'.htmlentities(stripslashes(stripslashes($row['mBody']))).'</textarea></td></tr>';
?>
<tr>
		<td>&nbsp;</td><td style="background-color:#e4f2fd;border:solid 1px #f00;padding:5px;width:450px;"><b>We HATE SPAM!</b> And so does the FTC. Fines for sending spam can be as high as $11,000 per violation! Protect yourself. Know the law. <a href="http://en.wikipedia.org/wiki/CAN-SPAM_Act_of_2003" title="Opens in a new Window." target="_blank">Click here to see the Can-Spam Act.</a></td>
</tr><tr><td></td><td></td></tr></table>
  	<table align="center">
	<tr>
    <th width=100></th>
		<th><?php _e("TAGS",'argwa'); ?></th>
		<th><?php _e("DESCRIPTION",'argwa'); ?></th>

	</tr>
	<tr>
	  <td></td>
		<td>&lt;?Name?&gt;</td>
		<td><?php _e("Name of the lead.",'argwa'); ?></td>
	</tr>
	<tr>
	  <td></td>
		<td>&lt;?Email?&gt;</td>
		<td><?php _e("Email of the lead.",'argwa'); ?></td>
	</tr>
	<tr>
	  <td></td>
		<td>&lt;?Unsubscribe?&gt;</td>
		<td><?php _e("Link for the lead to unsubscribe.",'argwa'); ?></td>
	</tr>
</table>
  <?php
  echo '</div><br /><input type="submit" class="button" value="'.__("Edit Message",'argwa').'">';
	echo '<input type="hidden" name="act" value="edit">';
	echo '<input type="hidden" name="mLID" value="'.$_REQUEST['listid'].'">';
	echo '<input type="hidden" name="listid" value="'.$_REQUEST['listid'].'">';
	echo '<input type="hidden" name="mID" value="'.$_REQUEST['mID'].'">';

	echo '</form>'.$ctag.'</div></div>';
 }
 else { 
  echo ar_gwa_getError(100);
 }
} else {
admin_ar_gwa_messages($msg);
}
}



function admin_ar_gwa_leads() { 
global $wpdb,$ctag,$postem;
$wpdb->show_errors();
if($_REQUEST['addNewLeads']!="")
admin_ar_gwa_add_leads();
else if($_REQUEST['exportLeads']!="")
admin_ar_gwa_export_leads();
else {
$orderby = strip_tags($_REQUEST['orderby']);
if(!isset($orderby) || $orderby=='') $orderby = 'lName';
if($_REQUEST['dir']) {
  $dir = 0;
  $orderby .= ' asc';
  } else {
  $dir=1;
  $orderby .= ' desc';  
  }
if($_REQUEST['act'] == 'del')
{
	// delete messages
	$lID = $_REQUEST['lID'];
	for($i = 0; $i < count($lID); $i++)
	{
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ar_gwa_leads WHERE lID='$lID[$i]'");
	}	
echo '<div id="message" class="updated fade"><p>'.$i.' '.__("leads deleted.",'argwa').'</div>';
}

$qual = 'WHERE lCnf = 1';
if(isset($_REQUEST['listid']) && !isset($_REQUEST['RESET'])) $qual .= " AND lLID='".$_REQUEST['listid']."'";

$arSql = "SELECT * FROM " . $wpdb->prefix . "ar_gwa_leads $qual ORDER BY ".$orderby;
$res = $wpdb->get_results($arSql);
echo $postem;
?>
<div id="">
<div class="wrap">
<h2><?php _e("Manage Leads",'argwa'); ?> (<?php echo count($res); ?>)</h2>
<form action="?page=ar_gwa_leads" method="post" id="leads-filter">

<table class="widefat">
	<thead>
	<tr>
	<th scope="col" class="check-column"><input type="checkbox" onclick="checkAll(document.getElementById('leads-filter'));" /></th>
	<th scope="col"><a href="?page=ar_gwa_leads&orderby=lLID&dir=<?=$dir;?>"><?php _e("List",'argwa'); ?></a></th>
	<th scope="col" width="120"><a href="?page=ar_gwa_leads&orderby=lName&dir=<?=$dir;?>"><?php _e("Name",'argwa'); ?></a></th>
	<th scope="col" width="200"><a href="?page=ar_gwa_leads&orderby=lEmail&dir=<?=$dir;?>"><?php _e("Email",'argwa'); ?></a></th>
	<th scope="col" width="70"><a href="?page=ar_gwa_leads&orderby=lMOut&dir=<?=$dir;?>"><?php _e("Msg Out",'argwa'); ?></th>
	<th scope="col"><a href="?page=ar_gwa_leads&orderby=lDateEntry&dir=<?=$dir;?>"><?php _e("Entry Date",'argwa'); ?></th>
	<th scope="col"><a href="?page=ar_gwa_leads&orderby=lDateOut&dir=<?=$dir;?>"><?php _e("Date Out",'argwa'); ?></th>
	</tr>
	</thead>
	<tbody>
	<tr id='post-1' class='alternate author-self status-publish' valign="top">
<?php
if($res) {
	foreach($res as $row)
	{	
	  $ooid = $row->lID;
    $row->lLID = ar_gwa_getlistname($row->lLID);

		echo '<tr><th scope="row" class="check-column"><input type="checkbox" name="lID[]" value="'.$row->lID.'" /></th>'
				.'<td id="argwaleadid'.$ooid.'">'.$row->lLID.' #'.$row->lID.'</td>'
				.'<td id="tdname'.$ooid.'"><input  onblur="sss = confirm(\'Confirm changes?\');if(sss==true)ar_gwa_name_update(document.getElementById(\'argwaleadname'.$ooid.'\'),'.$ooid.');return false;" type="text" name="lLead" id="argwaleadname'.$ooid.'" value="'.$row->lName.'" size="12"></td>'
				.'<td id="tdemail'.$ooid.'"><input  onblur="sss = confirm(\'Confirm changes?\');if(sss==true)ar_gwa_email_update(document.getElementById(\'argwaleademail'.$ooid.'\'),'.$ooid.');return false;" type="text" name="lEmail" id="argwaleademail'.$ooid.'" value="'.$row->lEmail.'" size="22"></td>'
				.'<td id="tdday'.$ooid.'"><input  onblur="sss = confirm(\'Confirm changes?\');if(sss==true)ar_gwa_day_update(document.getElementById(\'argwaleadday'.$ooid.'\'),'.$ooid.');return false;" type="text" name="lMOut" id="argwaleadday'.$ooid.'" value="'.$row->lMOut.'" size="3"></td>'
				.'<td id="tdentry'.$ooid.'">'.$row->lDateEntry.'</td>'
				.'<td>'.$row->lDateOut.'</td></tr>';
    
  }
} else {
 echo '<tr><td colspan=7 align="center">'.__("No Records",'argwa').'</td></tr>';
}

  ?>
	</tbody>
<?php
	echo '</table><p>&nbsp;</p>';
	echo '<p><input type="submit" class="button" value="Delete Checked">&nbsp;';
	echo '<input type="submit" class="button" value="Add Leads" name="addNewLeads">&nbsp;';
	echo '<input type="submit" class="button" value="Export Leads" name="exportLeads">';
	echo '<input type="hidden" name="act" value="del"></p>';
	echo '</form>';
?><?=$ctag?>
<div id="ajax-response"></div>
<div class="tablenav">
<br class="clear" />
</div>
<br class="clear" />
</div>
</div><!-- wpbody -->
</div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php
}
}

function admin_ar_gwa_add_leads() {
global $wpdb,$ctag;
$wpdb->show_errors();

// check if there's email and name
if(($_REQUEST['lEmail']=="" && $_REQUEST['lName']=="" && ($_REQUEST['addresses']!='' && preg_match("/\n/",$_REQUEST['addresses'])) && $_REQUEST['act']=="add")) { 
 if(!preg_match("/,/",$_REQUEST['addresses']) || !$_REQUEST['listid']) { 
 $g_error[] = 23; ar_gwa_showError($g_error);
 } else {
  $lines = preg_split("/\n/",$_REQUEST['addresses']);
  $dups=0;
  foreach($lines as $ttline) {
  $tttline = preg_split("/,/",$ttline);
  $tttline[1] = preg_replace("/\s+$/",'',$tttline[1]);
  $tttline[1] = preg_replace("/\n+$/",'',$tttline[1]);
    if(!$wpdb->query("SELECT lEmail FROM ".$wpdb->prefix."ar_gwa_leads WHERE lEmail='".$tttline[1]."' AND lLID='".$_REQUEST['listid']."'"))
      $lines2[] = $ttline;  
    else
      $dups++; 
  }
if(count($lines2)>0) {
  foreach($lines2 as $tline) {
   $qry = "INSERT INTO ".$wpdb->prefix."ar_gwa_leads (lLID,lName,lEmail,lDateEntry,lDateOut,lMOut,lCnf) VALUES ";
   $line = preg_split("/,/",$tline);
   if($line[0]!='' && $line[1]!='') {
  $name = trim($line[0]);
  $to = trim($line[1]);
      $dt = date('Y-m-d H:i:s');
    $ip = $_SERVER['REMOTE_ADDR'];
    $dns = gethostbyaddr($ip);
    $i_url = get_bloginfo('url').'/';
  $pword='ar';
  $vals = "ABCDEFGHIJKLMNOPQRSTUVWXYZabchefghjkmnpqrstuvwxyz0123456789";           
  while (strlen($pword) < 21) {
                mt_getrandmax();
                $num = rand(1,strlen($vals));
                $tmp = substr($vals, $num+4, 1);
                $pword = $pword . $tmp;
                $tmp ="";
  }
    $lCnf = $pword;
    $subj = $msg = __("Please confirm your subscription at",'argwa').' '.html_entity_decode(get_bloginfo('name'));
    $msg .= "\n\n".__("Click here",'argwa')." -> ".$i_url."?r=$lCnf\n\n";
    $msg .= __("A newsletter subscription request was received from",'argwa')." $ip ($dns) $dt. ";
    $msg .= __("If you did not request a subscription to our newsletter please disregard this email and you will not be contacted again. For further information please visit",'argwa').' '.get_bloginfo('url')."\n\n";
    $from = "From:<".get_option('ar_gwa_from').">";
    $suc = mail($to,$subj,$msg,$from."\r\n"."Mime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n",'-f'.get_option('ar_gwa_from'));
    if(!$suc) mail($to,$subj,$msg,$from."\r\n"."Mime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n");
    $qry .= "('".$_REQUEST['listid']."','".mysql_real_escape_string($line[0])."','".mysql_real_escape_string($line[1])."',current_date, current_date, '-1','$lCnf')";
#    $qry = substr($qry, 0, -2);
    $wpdb->query($qry);
$msssg = __('Imported addresses successfully.','argwa');
    }
   } 
  }
 }
 $success = count($lines2);
}

else if ($_REQUEST['lEmail'] && $_REQUEST['lName'])
{
	// check if email is already in use
	$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_leads WHERE lEmail='".$_REQUEST['lEmail']."' AND lLID='".$_REQUEST['listid']."'";
	if($wpdb->get_results($qry)) { $g_error[] = 10; }
   $qry = "INSERT INTO ".$wpdb->prefix."ar_gwa_leads (lLID,lName,lEmail,lDateEntry,lDateOut,lMOut,lCnf) VALUES ";
	if(!count($g_error))
	{	
      $dt = date('Y-m-d H:i:s');
    $ip = $_SERVER['REMOTE_ADDR'];
    $dns = gethostbyaddr($ip);
    $i_url = get_bloginfo('url').'/';

  $pword='ar';
  $vals = "ABCDEFGHIJKLMNOPQRSTUVWXYZabchefghjkmnpqrstuvwxyz0123456789";           
  while (strlen($pword) < 21) {
                mt_getrandmax();  // Returns the maximum value that can be returned by a call  rand
                $num = rand(1,strlen($vals));
                $tmp = substr($vals, $num+4, 1);
                $pword = $pword . $tmp;
                $tmp ="";
  }
    $lCnf = $pword;
#    $to = "$lEmail";
    $subj = $msg = __("Please confirm your subscription at",'argwa').' '.html_entity_decode(get_bloginfo('name'));
    $msg .= "\n\n".__("Click here",'argwa')." -> ".$i_url."?r=$lCnf\n\n";
    $msg .= __("A newsletter subscription request was received from",'argwa')." $ip ($dns) at $dt. ";
    $msg .= __("If you did not request a subscription to our newsletter please disregard this email and you will not be contacted again. For further information please visit",'argwa').' '.get_bloginfo('url')."\n\n";
    $from = "From:<".get_option('ar_gwa_from').">";
    $suc = mail($_REQUEST['lEmail'],$subj,$msg,$from."\r\n"."Mime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n",'-f'.get_option('ar_gwa_from'));
    if (!$suc) $suc = mail($_REQUEST['lEmail'],$subj,$msg,$from."\r\n"."Mime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n");
    $qry .= "('".$_REQUEST['listid']."','".mysql_real_escape_string($_REQUEST['lName'])."','".mysql_real_escape_string($_REQUEST['lEmail'])."',current_date, current_date, '-1','$lCnf')";
#    $qry = substr($qry, 0, -2);
    $wpdb->query($qry);
$msssg = 'Imported address successfully.';
    	} else {
   ar_gwa_showError($g_error);
    admin_ar_gwa_leads();
  } 
}  else if($_REQUEST['act']=="add"){
 $g_error[] = 12; 
 ar_gwa_showError($g_error);
}

?>
<div id="">
<div class="wrap">
<?php
if($success>0) echo '<div id="message" class="updated fade">
  <p>Successfully added '.$success.' addresses.</p>
  </div>';
if($dups>0) echo '<div id="message" class="error fade">
  <p>There were '.$dups.' duplicates that were already on the list.</p>
  </div>';
if($msssg) { echo '<div id="message" class="updated fade"><p>'.$msssg.'</p></div>'; } 
?>
<form method="post" action="?page=ar_gwa_leads">
<h2>Add Lead</h2><p style="color:#f00;font-weight:bold"><em>A confirmation link will be sent to all email addresses imported on this page.</em></p>
<div style="border: solid 1px #ccc;padding:6px; background-color:#e4f2fd;width:80%;"><input type="hidden" name="act" value="add">
<table align="center">
	<tr>
		<td><?php _e("Name",'argwa'); ?>: <input type="text" name="lName" maxlength="250" style="width:270px;"></td>

	</tr>
	<tr>
		<td><?php _e("Email",'argwa'); ?>: <input type="text" name="lEmail" maxlength="250" style="width:270px;"></td>
	</tr>
	<tr>
		<td><input type="submit" class="button" value="<?php _e("Add New Lead",'argwa'); ?>" name="addNewLeads"></td>

	</tr>
  <tr>
  <td><p><input type="checkbox" name="sendwelcome" value="on" checked disabled> <?php _e("Send confirmation link as if members just subscribed.",'argwa'); ?><br /><small><a href="http://freeautoresponder.biz/?/<?php echo get_option('ar_gwa_aff_id'); ?>"><?php _e("Upgrade to Pro",'argwa'); ?></a> <?php _e("to import addresses directly and without confirmation",'argwa'); ?>!</small></p></div></td></tr></table></div>

<h3><?php _e("Bulk Import Form",'argwa'); ?></h3>
<div style="border: solid 1px #ccc;padding:6px; background-color:#e4f2fd;width:80%;">
<p><?php _e("COPY&PASTE your email address list in the .csv format. Each line must end with a single carriage return [ENTER]. Separate a name followed by their email with a comma and enter only one name & address per line. DUPLICATES WILL BE PRUNED FROM YOUR LIST.",'argwa'); ?></p>
<textarea name="addresses" cols=80 rows=15></textarea><br />
<input type="hidden" name="listid" value="1">
<input type="submit" class="button" value="<?php _e("Add New Lead",'argwa'); ?>"  name="addNewLeads"></div></form><br /><?=$ctag?></div></div>
<?php
}
function admin_ar_gwa_email_leads() {
global $ctag;
if($_REQUEST['act']!=filter) {
if (function_exists('wp_tiny_mce')) wp_tiny_mce( false ,
array(
"editor_selector" => "editorContent",
"plugins" => "spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
"theme_advanced_buttons1" => "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
"theme_advanced_buttons2" => "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
"theme_advanced_buttons3" => "hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen,|,spellchecker",
"extended_valid_elements" => "form[*],div[*],style[*],p[*],table[*],td[*]",
"skin" => "o2k7",
"skin_variant" => "silver",)
);?>
<script type="text/javascript">
<!--
function toggleEditor(id) {
	if (!tinyMCE.getInstanceById(id))
		tinyMCE.execCommand('mceAddControl', false, id);
	else
		tinyMCE.execCommand('mceRemoveControl', false, id);
}
toggleEditor('editorContent')
-->
</script>
<div id="">
<div class="wrap">
			<h2>Email Leads</h2>
<form name="form1" method="post" action="?page=ar_gwa_edit_message" onSubmit="return validate();"><br>
<h3 style="display:inline"><?php _e("Filter Leads",'argwa'); ?></h3><?php echo argwa_get_note(21);?><br>
<div style="border: solid 1px #ccc;padding:6px; background-color:#e4f2fd;width:100%;">
<table align="center">
<tr>
		<td width="240"><?php _e("Send only to leads added after",'argwa'); ?></td>
		<td width="240"><input type="text" name="fADate" style="width:100px;" maxlength="10"> yyyy-mm-dd</td>
		<td></td>
	</tr>
	<tr>
		<td><?php _e("Send only to leads added before",'argwa'); ?></td>
		<td><input type="text" name="fBDate" style="width:100px;" maxlength="10"> yyyy-mm-dd</td>
		<td></td>
	</tr>
</table>
</div><br>
<h3 style="display:inline"><?php _e("Message",'argwa'); ?></h3><?php echo argwa_get_note(22);?><br>
<div style="border: solid 1px #ccc;padding:6px; background-color:#e4f2fd;width:100%;">
<table align="center">
	<tr>
		<td>TYPE</td>

		<td>
		<select name="mType" style="width:100px;" onchange="toggleEditor('editorContents')" />
		<option value="text" selected>PLAIN TEXT</option>
		<option value="html">HTML</option>
		</select>
		</td>
	</tr>
	<tr>
		<td>SUBJECT</td>

		<td><input type="text" name="mSubject" style="width:250px;" maxlength="250"></td>
	</tr>
	<tr>
		<td valign="top"><?php _e("Body",'argwa'); ?></td>
		<td><textarea id="editorContents" name="mBody" style="width:450px; height:250px;" class="mceEditor"></textarea></td>
	</tr>
	<tr><td>&nbsp;</td>
		<td style="background-color:#e4f2fd;border:solid 1px #f00;padding:5px;width:450px;"><strong>We HATE SPAM!</strong> And so does the FTC. Fines for sending spam can be as high as $11,000 per violation! Protect yourself. Know the law. <a href="http://en.wikipedia.org/wiki/CAN-SPAM_Act_of_2003" title="Opens in a new Window." target="_blank">Click here to see the Can-Spam Act.</a></td>
	</tr>
</table><br /><table align="center">
	<tr>
	
		<th width="60px"></th>
		<th width="125px"><?php _e("Tags",'argwa'); ?></th>
		<th><?php _e("Description",'argwa'); ?></th>

	</tr>
	<tr>
    <td></td>
		<td>&lt;?Name?&gt;</td>
		<td><?php _e("Name of the lead",'argwa'); ?></td>
	</tr>
	<tr>
    <td></td>
		<td>&lt;?Email?&gt;</td>
		<td><?php _e("Email of the lead",'argwa'); ?></td>
	</tr>
	<tr>
    <td></td>
		<td>&lt;?Unsubscribe?&gt;</td>
		<td><?php _e("Link for the lead to unsubscribe",'argwa'); ?></td>
	</tr>
</table>
</div>
<p><input type="submit" class="button" value="<?php _e("Send Message",'argwa');?> >>" name="sendMessage" onclick="return confirm('<?php _e("Sending message to Entire List. Are you SURE?",'argwa');?>');"><?php echo argwa_get_note(23);?></p>
<input type="hidden" name="act" value="filter">
<input type="hidden" name="listid" value="1">
</form><br /><?=$ctag?></div></div>
<?php
 } else {
// EMAIL LEADS
global $wpdb;
$wpdb->show_errors();
	$after  = $_REQUEST['fADate'];
	$before = $_REQUEST['fBDate'];
	if(isset($_REQUEST['listid']) && !isset($_REQUEST['RESET'])) {
  $qual = "WHERE lLID='".$_REQUEST['listid']."'";
  $qual2 = "AND lLID='".$_REQUEST['listid']."'";
  }
	if(!$after)
	{
		$qry = "SELECT lDateEntry FROM ".$wpdb->prefix."ar_gwa_leads $qual ORDER BY lDateEntry LIMIT 0,1";
  	$after = $wpdb->get_var($qry);
	}
	if(!$before) 
	{
		$before = $wpdb->get_var("SELECT current_date");
	}
	echo '<div id="">
<div class="wrap">
			<h2>Email Leads</h2>';
	$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_leads WHERE lCnf=1 AND lDateEntry >= '$after' AND lDateEntry <= '$before' $qual2";
	$res = $wpdb->get_results($qry,ARRAY_A);
	if($res)
	{
	$stime = time();
		// vars
		$ms 		= new MailProcess(); 
    $lEmailed 	= 0; 
		$aMsg		= array('mType' => $_REQUEST['mType'], 'mSubject' => $_REQUEST['mSubject'], 'mBody' => $_REQUEST['mBody']);
	
		foreach($res as $row) 
		{
			if($ms->setLead($row['lID']) && $ms->setMsg2($aMsg))
			{
				$ms->mailLead();
				++$lEmailed;
      }			
		}
	$etime = time();
		echo '<div style="border: solid 1px #ccc;padding:6px; background-color:#e4f2fd;width:80%;"><p style="width:500px">'.__("Sent",'argwa').' '.$lEmailed.' '.__("email messages",'argwa').'. '.__("Process ran for",'argwa').' '.($etime - $stime).' '.__("seconds",'argwa').'.<br /><br />'.__("If you begin experiencing browser timeouts while sending to your list it is possible not all your messages are being sent.",'argwa').'<br /><br /><a href="http://freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_blank">'.__("The Professional Autoresponder",'argwa').'</a> '.__("with an Intelligent-Queue that runs in the background can send to 1000s addresses without fail and will also allow you to <u>create and manage multiple autoresponders and mailing lists.</u>",'argwa').'</p></div>'.$ctag;
  }
	else { echo ar_gwa_getError(14); }
 }
echo '</div></div>';
}

function admin_ar_gwa_export_leads() {
ar_gwa_export($_REQUEST['listid']);
}
 
add_action('admin_menu', 'ar_gwa_add_js');
function ar_gwa_add_js() {
wp_enqueue_script('myscript', '/wp-content/plugins/autoresponder-gwa/tabber.js');
}

function ar_gwa_main_list() {
global $wpdb;
return $wpdb->get_var("SELECT xID FROM ".$wpdb->prefix."ar_gwa_lists ORDER BY xID LIMIT 0,1");
}

function ar_gwa_export($listid = NULL) {
global $wpdb,$ctag;
$buffer = '';
if(isset($_REQUEST['submit_export_list']) && isset($_REQUEST['listid']) && is_array($_REQUEST['copy2']) && ($listid = $_REQUEST['listid'])) {
  foreach($_REQUEST['copy2'] as $eAdd) {
  
  }
}
if($listid && !isset($_REQUEST['RESET']))
  $qual = "AND lLID='".$listid."'";
else if(!isset($_REQUEST['RESET']))
  $qual = "AND lLID='".ar_gwa_main_list()."'";
  
$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_leads WHERE lCnf=1 $qual ORDER BY lName";
$res = $wpdb->get_results($qry,ARRAY_A);
if(count($res)) {
 foreach($res as $row)
 {
#		$buffer .= $row[lName].','.$row[lEmail]."\n";
$buffer .= "{$row[lName]},{$row[lEmail]}\n";
 }
}
echo '<div id=""><div class="wrap"><h2>'.__("EXPORT LEADS",'argwa').' ('.count($res).')</h2>';
?>
<div style="position:relative;float:left;width:620px;margin-left:5%">
    <form action="#" name="Exp" id="fExp">
      <TEXTAREA style="width:600px;height:440px;"><?php echo $buffer; ?></TEXTAREA>
    </form>
</div>
<div style="position:relative;float:left;width:100%"><?=$ctag?></div>
</div></div>
<?php
}
 
function admin_ar_gwa_run() {
echo '<div id="update-nag"><a style="text-decoration:none;" href="http://freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_blank">'.__("Upgrade to Pro",'argwa').' <strong>[GWA] Autoresponder Pro</strong> '.__("to get the <b>Intelligent Queue</b> for Automated Management of Large Newsletters",'argwa').'.</a></div>
<div id=""><div class="wrap"><h2>'.__("RUN",'argwa').'</h2>
<p>'.__("Manually running the Autoresponder.",'argwa').'</p>';
$result = ar_gwa_do_this_daily();
if($result>0)
  echo $result . ' '.__("messages processed",'argwa').'.';
echo '</div></div>';
}


function admin_ar_gwa_help() {
global $wpdb,$ctag;
echo '<div id="update-nag"><a style="text-decoration:none;" href="http://freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_blank">'.__("Upgrade to Pro",'argwa').' <strong>[GWA] Autoresponder Pro</strong> '.__("today to enable the Mail Log and other enhanced features.",'argwa').'</a></div>';
?>
<div id="">
<div class="wrap">
<p><?php _e("Set the <b>From:</b> address for your email, customize the label for your Subscription Form and select a page to show after visitors subscribe to your newsletter on the <a href='widgets.php'>Widgets Set-up Page.</a>",'argwa').' ';
echo '&nbsp;'.__("See the included",'argwa').'&nbsp;<a href="'.WP_PLUGIN_URL.'/autoresponder-gwa/FreeAutoresponderSetup.pdf" target="_blank"><b>'.__("Quick Setup Guide (PDF)",'argwa').'</b></a> '.__("in the plugin package.",'argwa');
echo '<br /></p><p><b><font color="red">'.__("DO NOT use a Gmail/Hotmail/Yahoo or other free email account as your From: address. Use an email @your-domain for best results, anything else is spam.",'argwa');?></font></b></P>
<div style="border: solid 1px #f00;padding:6px; background-color:#e4f2fd;"><strong style="color:#f00"><?php _e('IMPORTANT NOTE','argwa');?>:</strong> <?php _e("If you have just installed this plugin and are <em>receiving error messages like \"Content missing?\" or \"Content not available?\" after subscribing or are experiencing problems with forwarding to internal pages after clicking links in emails</em> you can now access the HOOK setting on the SETUP tab on the <a href='?page=autoresponder-gwa/ar_gwa.php'>PLUGIN MAIN PAGE</a>. Find the correct hook by experimenting to find a compatible one for your installation. Changing theme/templates can break page forwarding settings and this can be corrected (in most cases) by selecting an alternate hook.",'argwa');?><br><strong style="color:#f00;"><?php _e("Local IP Address is",'argwa');?></strong> : <Strong><?php echo $_SERVER['SERVER_ADDR'];?></strong>&nbsp;<strong><a href="http://no-spam-zone.biz/checkBL.php?gip=<?php echo base64_encode($_SERVER['SERVER_ADDR']);?>" title="<?php _e("Please WAIT while Check Page loads after clicking link.",'argwa');?>"><?php _e("Check your Mailserver IP on 80+ Blacklisting (RBBL) sites.",'argwa');?></a></strong></div>
<h3><?php _e("Personalize your messages.",'argwa'); ?></h3>
<p><?php _e("The following tags can be added to your email messages",'argwa'); ?>:<br>
<b>&lt;?Name?> : <?php _e("Subscriber's name.",'argwa'); ?><br>
&lt;?Email?> : <?php _e("Subscriber's email address.",'argwa'); ?></b> <b><br>
&lt;?Unsubscribe?> : <?php _e("Add an UNSUBSCRIBE LINK in your mailing.",'argwa'); if(isset($_GET['ar_gwa_cb'])) {if($_GET['ar_gwa_cb']=='1') update_option('ar_gwa_cb','unbranded');if($_GET['ar_gwa_cb']=='2') update_option('ar_gwa_cb','checked');} ?></b></p>
<h3><?php _e("Setup Templates",'argwa'); ?></h3>
<h3><?php _e("Use Post Shortcode",'argwa'); ?></h3>
<p><?php _e("Use the [gwa-autoresponder] shortcode tag when composing both posts and pages. To display the subscription form and responses from the autoresponder using shortcode on your blog pages use the tag anywhere within the contents of a post or page.",'argwa'); ?></p>
<h3><?php _e("Use Theme/Template PHP code",'argwa'); ?></h3>
<p><?php _e("Put the following tag in your template files to display the status output from the plugin. You can substitute any valid html for the basic &lt;div&gt; element used in the tag below. This html will surround the response text inserted into the template.",'argwa'); ?></p>
<textarea cols=66 rows=4>
&lt;?php 
if(function_exists('autoresponder_output')) 
autoresponder_output('<div>','</div>');
?&gt;
</textarea><br />
<h3><?php _e("Setup Messages",'argwa'); ?></h3>
<p><?php _e("You add new messages to the autoresponder on the <a href='?page=ar_gwa_edit_message'>Add Message</a> tab. You must set the day that the message will be sent. Enter the number of days after subscribing that the user will recieve the email. Enter 0 (zero) to have the message  sent immediately after the lead has been confirmed. <strong>NOTE</strong> that only 1 (one) email message may be scheduled for delivery each day.",'argwa'); ?> </p>
<h3><?php _e("Running your Autoresponder",'argwa'); ?></h3>
<p>[GWA] Autoresponder Plug-in <?php _e("is completely automated. The appropriate messages are automatically sent to all subscribed addresses scheduled for delivery each day. All mail is handled by the <em>automated mail queue</em>.",'argwa');
?><br /><br /><a name="cron"></a><b><?php _e("IMPORTANT NOTE",'argwa'); ?></b>: <?php _e("The Wordpress simulated CRON feature will run the first time your blog is visited after the scheduled mailing time has passed. You can <b>Reschedule</b> the time your messages are sent each day to the current time on the",'argwa'); ?>&nbsp;<a href='?page=autoresponder-gwa/ar_gwa.php'><?php _e("Autoresponder",'argwa'); ?></a> <?php _e("tab. If you do not get regular traffic to your weblog you will want to setup a proper CRONJOB in your host's Server Control Panel to load your weblog homepage a minute or so after the time you set for your mailing in the settings for this plugin. This will ensure your autoresponder keeps to schedule.",'argwa');?>.</p><p><b>CRON COMMANDS:</b> (<?php echo __("Use one of these in your CPanel to load your blog automatically",'argwa');?>)<br />1) <code>wget -q <?php echo get_bloginfo('url');?> >/dev/null 2>&1 </code><br />2) <code>curl -s <?php echo get_bloginfo('url');?> >/dev/null 2>&1 </code></p><p><strong style="color:#f00;"><?php _e("WARNING: Sending too many emails too often can cause problems with a shared or free web-host.",'argwa');?></strong></p><p><?php
echo $ctag.'</div></div>';
}

function modify_ar_gwa_menu() {
add_menu_page('AutoResponder','[GWA] Autoresponder', 7, __FILE__, 'admin_ar_gwa_main');
add_submenu_page(__FILE__, 'Autoresponder', 'Options', 7, __FILE__, 'admin_ar_gwa_main');
add_submenu_page(__FILE__, __('Messages','argwa'), __('Messages','argwa'), 7, 'ar_gwa_edit_message', 'admin_ar_gwa_edit_message');
add_submenu_page(__FILE__, __('Leads','argwa'), 'Leads', 7, 'ar_gwa_leads', 'admin_ar_gwa_leads');
add_submenu_page(__FILE__, __('Help','argwa'), 'HELP', 7, 'ar_gwa_help', 'admin_ar_gwa_help');
}

function set_ar_gwa_options()
{
global $wpdb;

if($_REQUEST['add_lead'] != "")
$addlead = $_REQUEST['add_lead'];
else
$addlead = get_option('ar_gwa_addlead');

if($_REQUEST['bad_lead'] != "")
$badlead = $_REQUEST['bad_lead'];
else
$badlead = get_option('ar_gwa_badlead');

if($_REQUEST['rmv_lead'] != "")
$rmvlead = $_REQUEST['rmv_lead'];
else
$rmvlead = get_option('ar_gwa_rmvlead');

delete_option('ar_gwa_addlead');
delete_option('ar_gwa_badlead');
delete_option('ar_gwa_rmvlead');
add_option('ar_gwa_addlead',$wpdb->escape($addlead),'');
add_option('ar_gwa_badlead',$wpdb->escape($badlead),'');
add_option('ar_gwa_rmvlead',$wpdb->escape($rmvlead),'');
}

function ar_gwa_responder_start() {
if (!wp_next_scheduled('ar_gwa_daily_event') || ((wp_next_scheduled('ar_gwa_daily_event')-time())<0) ) {
  wp_clear_scheduled_hook('ar_gwa_daily_event');
 $sched = time()+86000;
 wp_schedule_event( $sched, 'daily', 'ar_gwa_daily_event' );
 ar_gwa_do_this_daily('none');
 }
}

function unset_ar_gwa_options()
{
delete_option('ar_gwa_nospam');
delete_option('ar_gwa_no_spam');
delete_option('ar_gwa_api_key');
delete_option('ar_gwa_addsub');
delete_option('ar_gwa_unsub');
delete_option('ar_gwa_throttle');
delete_option('ar_gwa_reg_optin');
delete_option('ar_gwa_mpr');
delete_option('ar_gwa_run');
delete_option('ar_gwa_addlead');
delete_option('ar_gwa_badlead');
delete_option('ar_gwa_rmvlead');
delete_option('ar_gwa_wp');
wp_clear_scheduled_hook('ar_gwa_daily_event');
}

function is_autoresponder_gwa_form_display($listid) {
global $wpdb;
$label = $wpdb->get_var("SELECT xLabel FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'");
$display = "<strong>$label</strong><br />";
$display .= preg_replace("/{id}/",$listid,stripslashes($wpdb->get_var("SELECT xSubscribe FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'")));
if(get_option('ar_gwa_cb')=="checked")
$display .= '<div class="arlink"><a class="arlink" href="http://www.freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_blank">'.get_option('ar_gwa_aff_text').'</a> courtesy of <a href="'.get_option('ar_gwa_aff_url').'" target="_blank">'.get_option('ar_gwa_aff_title').'</a>.</div>';
#echo print_gwaCheck();
return $display;
}

function is_autoresponder_gwa_popin_display($listid) {
global $wpdb;
$label = $wpdb->get_var("SELECT xLabel FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'");
$display = "<strong>$label</strong><br />";
$display .= preg_replace("/{id}/",$listid,stripslashes($wpdb->get_var("SELECT xPopin FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'")));
if(get_option('ar_gwa_cb')=="checked")
$display .= '<div class="arlink"><a class="arlink" href="http://www.freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_blank">'.get_option('ar_gwa_aff_text').'</a> courtesy of <a href="'.get_option('ar_gwa_aff_url').'" target="_blank">'.get_option('ar_gwa_aff_title').'</a>.</div>';
#echo print_gwaCheck();
return $display;
}

function autoresponder_gwa_form_display($listid) {
global $wpdb;
$display = preg_replace("/{id}/",$listid,stripslashes($wpdb->get_var("SELECT xSubscribe FROM ".$wpdb->prefix."ar_gwa_lists WHERE xID='".$listid."'")));
if(get_option('ar_gwa_cb')=="checked")
$display .= '<a class="arlink" href="http://www.freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_blank">'.get_option('ar_gwa_aff_text').'</a> '.__("courtesy of",'argwa').' <a href="'.get_option('ar_gwa_aff_url').'" target="_blank">'.get_option('ar_gwa_aff_title').'</a>.';
echo print_gwaCheck();
echo $display;
}

function ar_gwa_do_this_daily($n=NULL) {
global $wpdb;

$ar_cnt = 0;
$ms = new MailProcess(); 
$qry = "SELECT TO_DAYS(current_date) as AA, TO_DAYS(lDateEntry) as BB, lID, lMOut FROM ".$wpdb->prefix."ar_gwa_leads ORDER BY lID";
$res = $wpdb->get_results($qry,ARRAY_A);
if(count($res)) {
 foreach($res as $row)
 {
	$dif = $row['AA'] - $row['BB'];
	if($dif > 0 && $dif < 61)
	{
		$mDay = $row['lMOut'] + 1;
		while($mDay <= $dif)
		{
			if($ms->setLead($row['lID']) && $ms->setMsg($mDay))
			{
				$ms->mailLead();
				$ar_cnt++;
			}
			$mDay++;
		}
	}
 } 
 if (!wp_next_scheduled('ar_gwa_daily_event')) {
 wp_clear_scheduled_hook('ar_gwa_daily_event');
 wp_schedule_event( time()+86400, 'daily', 'ar_gwa_daily_event' );
 }
}
if($ar_cnt>0 && ! $n)
echo '<p style="width:500px"><strong>Success. Sent '.$ar_cnt.' email.</strong></p></div></div>';
else if (!$n)
echo '<p style="width:500px">'.__("No email to send? To compose a new one-time message and send it to some or all of your autoresponder list right now use the form on the",'argwa').'&nbsp;<a href="?page=ar_gwa_edit_message">'.__("Email Leads",'argwa').'</a> '.__("tab",'argwa').'.</p></div></div>';
}


function ar_gwa_getError($n) 
{	
	switch($n)
	{
	case 1:
		return '<p class="error"><b>ERROR:</b> Invalid login/password.</p>';
	case 2:
		return '<p class="error"><b>ERROR:</b> A problem occured with your MySQL connection.</p>';
	case 3:
		return '<p class="error"><b>ERROR:</b> Access Denied. You must login to access the file you requested.</p>';
	case 10:
		return '<p class="error"><b>ERROR:</b> Email already in use.</p>';	
	case 11:
		return '<p class="error"><b>ERROR:</b> Name/Email are mandatory.</p>';
	case 12:
		return '<p class="error"><b>ERROR:</b> Invalid Email/Name.</p>';
	case 13:
		return '<p class="error"><b>ERROR:</b> Email not found.</p>';
	case 14:
		return '<p class="error">No leads found. Please, try again.</p>';
	case 20:
		return '<p class="error"><b>ERROR:</b> Subject and body are mandatory.</p>';
	case 21:
		return '<p class="error"><b>ERROR:</b> Invalid day of message. There\'s another message set to this day.</p>';
	case 22:
		return '<p class="error"><b>ERROR:</b> Day must be a value between 0 and 59.</p>';
	case 23:
		return '<p class="error"><b>ERROR:</b> Bad format for Bulk Address Field.</p>';
	case 100:
		return '<p class="error"><b>ERROR:</b> Register not found.</p>';
	case 101:
		return '<p class="error">Register not found.</p>';
	
	default:
		return 'UNKNOWN ERROR.';
	}
}

function ar_gwa_showError($error)
{
	$error = array_unique($error);
	
	echo '<div>';
	foreach($error as $v)
	{
		echo ar_gwa_getError($v), '<br>';
	}
	echo '</div>';
}

function ar_gwa_install () {
   global $wpdb;
   $wpdb->show_errors;

   $table_name = $wpdb->prefix . "ar_gwa_leads";
   $table_name2 = $wpdb->prefix . "ar_gwa_msg";

   if(($wpdb->get_var("show tables like '$table_name'") == $table_name) &&
      ($wpdb->get_var("show tables like '$table_name2'") == $table_name2)) {
    $wpdb->query("ALTER TABLE `".$wpdb->prefix."ar_gwa_leads` RENAME `".$wpdb->prefix."ar_gwa_leads_tmp`");
    $wpdb->query("ALTER TABLE `".$wpdb->prefix."ar_gwa_msg` RENAME `".$wpdb->prefix."ar_gwa_msg_tmp`");
    $repopulate = 1;
   }
   $bloginfo = array('name' => mysql_real_escape_string(get_bloginfo('name')),
                     'admin' => get_bloginfo('admin_name'),
                     'email' => get_bloginfo('admin_email'));
    add_option('ar_gwa_addlead','Subscribed to the newsletter.');
    add_option('ar_gwa_badlead','There was a problem with your email. Try Again!');
    add_option('ar_gwa_rmvlead','Your email has been unsubscribed successfully.');
    add_option('ar_gwa_addsub','1');
    add_option('ar_gwa_unsub','Click to unsubscribe.');
    add_option('ar_gwa_no_spam','0');
    if(!(get_option('ar_gwa_aff_id'))){
    add_option('ar_gwa_aff_id','1');
    add_option('ar_gwa_aff_url','http://wordpressemailsoftware.com');
    add_option('ar_gwa_aff_text','Free Autoresponder');
    add_option('ar_gwa_aff_title','Software for Email Marketing');
    }
    if(get_option('ar_gwa_cb') != "unbranded")
    add_option('ar_gwa_cb','checked');
    add_option('ar_gwa_reg_optin','checked');
    add_option('ar_gwa_from',$bloginfo['email']);
    wp_schedule_event((time()+86400), 'daily', 'ar_gwa_daily_event');
   $dn = 0;
   $table_name = $wpdb->prefix . "ar_gwa_leads";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
    $sql = "CREATE TABLE `" . $table_name . "` (
  `lID` int(11) NOT NULL auto_increment,
  `lLID` int(11) NOT NULL,
  `lName` varchar(250) default NULL,
  `lEmail` varchar(250) default NULL,
  `lDateEntry` date default NULL,
  `lDateOut` date default NULL,
  `lMOut` varchar(11) default NULL,
  `lCnf` varchar(65) NOT NULL,
  `lTime` timestamp NOT NULL,
  `lIP` varchar(16) NOT NULL,
  `lDNS` varchar(65) NOT NULL,
  PRIMARY KEY  (`lID`),
  KEY `lCnf` (`lCnf`)
  );";
   $results = $wpdb->query( $sql );
  }
   $table_name = $wpdb->prefix . "ar_gwa_lists";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
    $sql = "CREATE TABLE `" . $table_name . "` (
  `xID` int(11) NOT NULL auto_increment,
  `xName` varchar(250) default NULL,
  `xEmail` varchar(250) default NULL,
  `xSubscribe` text,
  `xLabel` varchar(255) NOT NULL,
  `xPage` int(4) NOT NULL,
  `xReturn` int(4) NOT NULL,
  `xPopin` text,
   PRIMARY KEY  (`xID`)
  );";
   $results = $wpdb->query( $sql );
  }
    $wpdb->query("TRUNCATE TABLE `".$table_name."`");
    $subscribe = mysql_real_escape_string('<form action="'.get_bloginfo('url').'/" method="POST" name="ARGWA"><table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse; padding: 10px;" bordercolor="#111111"><tr><td><div class="gwasubscribe"><b>Name:</b>&nbsp;<input id="argwa_name" type="text" name="gwaname" value="" size="20"><br /><b>Email:</b>&nbsp;<input  id="argwa_email" type="text" name="gwaemail" value="" size="20"><br><input type="submit" class="button" value="SUBSCRIBE" name="Add" onclick="return gwaCheckForm1(this.form)"></div></td></tr></table> <input type="hidden" name="act" value="s_add"> <input type="hidden" name="listid" value="1"></form>');
    $sql = "INSERT INTO `".$table_name."` (`xID`, `xName`, `xEmail`, `xSubscribe`, `xLabel`, `xPage`,`xPopin`) values (1,'{$bloginfo['name']}','{$bloginfo['email']}','$subscribe','{$bloginfo['name']}','','$subscribe')";
    $results = $wpdb->query( $sql );

   $table_name = $wpdb->prefix . "ar_gwa_msg";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
    $sql = "CREATE TABLE `" . $table_name . "` (
  `mID` int(11) NOT NULL auto_increment,
  `mLID` int(11) default NULL,
  `mSubject` varchar(250) default NULL,
  `mBody` text,
  `mDay` int(2) default NULL,
  `mType` varchar(50) default NULL,
    PRIMARY KEY  (`mID`)
  )";
   $results = $wpdb->query( $sql );
   } 
   $msg_num = $wpdb->get_var("SELECT `mID` from `".$table_name."` ORDER BY mDay ASC LIMIT 1");
   if (!$msg_num && !$repopulate) {
    $sql = "INSERT INTO `".$table_name."` (`mID`, `mLID`, `mSubject`, `mBody`, `mDay`, `mType`) VALUES (1,1,'Welcome', '".mysql_real_escape_string("Hi <?Name?><br />\r\nThis is the default welcome message!<br />The webmaster has just installed this Autoresponder Plugin for Wordpress from <a href='http://FreeAutoresponder.biz/?/".get_option('ar_gwa_aff_id')."'>FreeAutoresponder.biz</a>.\r\n<br />\r\n")."', '0', 'html')";
    $results = $wpdb->query( $sql );
   }
    
  if($repopulate==1) {
    $table_name = 'ar_gwa_leads'; 
    $rec = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix.$table_name."_tmp");
    foreach($rec as $re)
    $wpdb->query("INSERT INTO ".$wpdb->prefix.$table_name." SET lID='{$re->lID}',lLID='1',lName='{$re->lName}',lEmail='{$re->lEmail}',lDateEntry='{$re->lDateEntry}',lDateOut='{$re->lDateOut}',lMOut='{$re->lMOut}'");
    $wpdb->query("UPDATE ".$wpdb->prefix.$table_name." set lCnf='1'");
    $table_name = 'ar_gwa_msg';
    $rac = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix.$table_name."_tmp");
    foreach($rac as $re)
    $wpdb->query("INSERT INTO ".$wpdb->prefix.$table_name." SET mID='{$re->mID}',mLID='1',mSubject='".$wpdb->escape($re->mSubject)."',mBody='".$wpdb->escape($re->mBody)."',mType='{$re->mType}',mDay='{$re->mDay}'");
    $wpdb->query("UPDATE ".$wpdb->prefix.$table_name." set mLID='1'");    
  }
}

add_action('init', 'ar_gwa_plugin_i18n');
$ar_gwa_wphook = get_option('ar_gwa_wp');
if(!$ar_gwa_wphook | $ar_gwa_wphook=='') {
$ar_gwa_wphook = 'template_redirect';
add_option('ar_gwa_wp',$ar_gwa_wphook);
}
add_action($ar_gwa_wphook,'ar_gwa_signup');
add_shortcode('gwa-autoresponder', 'ar_gwa_short_code');
add_action('admin_menu','modify_ar_gwa_menu');
add_action('ar_gwa_daily_event', 'ar_gwa_do_this_daily');
register_activation_hook(__FILE__, 'ar_gwa_responder_start');
register_activation_hook(__FILE__, 'ar_gwa_install');
register_activation_hook(__FILE__,'set_ar_gwa_options');
register_deactivation_hook(__FILE__,'unset_ar_gwa_options');

function ar_gwa_array_copy ($aSource) {
        if (!is_array($aSource)) {
            return $aSource;
        }
        $aRetAr = array();
        $aKeys = array_keys($aSource);
        $aVals = array_values($aSource);
        for ($x=0;$x<count($aKeys);$x++) {
            if (is_array($aVals[$x])) {
                $aRetAr[$aKeys[$x]]=ar_gwa_array_copy ($aVals[$x]);
            } else {
                $aRetAr[$aKeys[$x]]=$aVals[$x];
            }
        }
return $aRetAr;
}

class MailProcess
{
	var $lead   = array();
	var $msg    = array();	
	var $arFrom;

	function MailProcess()
	{
		$this->arFrom = get_option('ar_gwa_from');
	}
	
	function setLead($lID)
	{
	global $wpdb;
		$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_leads ,".$wpdb->prefix."ar_gwa_lists WHERE lLID = xID AND lID='$lID'";
    $res = $wpdb->get_results($qry,ARRAY_A);
		if($res) 
		{ 
			$this->lead = $res[0];
			return 1;
		}
		return 0;		
	}

	function setMsg($mDay)
	{
	global $wpdb;

	$this->msg['mDay'] = $mDay;
		$qry = "SELECT * FROM ".$wpdb->prefix."ar_gwa_msg WHERE mDay='$mDay'";

		$res = $wpdb->get_results($qry,ARRAY_A);
    if($res) 
		{ 
			$this->msg = $res[0];
			$this->msg['mHeader'] = 'From: <'.$this->arFrom.">\n";
  		$this->msg['mHeader'] .= 'Reply-To: <'.$this->arFrom.">\n";
  		$this->msg['mHeader'] .= 'X-Mailer: Wordpress@'.get_bloginfo('url')."\n";
  		if($this->msg['mType'] == 'html')
				$this->msg['mHeader'] .= "Mime-Version: 1.0\r\nContent-Type: text/html; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n";
      else
				$this->msg['mHeader'] .= "Mime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n";
			return 1;
		}
		return 0;
	}

	function setMsg2($msg)
	{
		$this->msg['mSubject'] = $msg['mSubject'];
		$this->msg['mBody'] = $msg['mBody'];
   	$this->msg['mHeader'] = 'From: <'.$this->arFrom.">\n";
		$this->msg['mHeader'] .= 'Reply-To: <'.$this->arFrom.">\n";
  		$this->msg['mHeader'] .= 'X-Mailer: Wordpress@'.get_bloginfo('url')."\n";
		$this->msg['mType'] = $msg['mType'];
		if($msg['mType'] == 'html')
				$this->msg['mHeader'] .= "Mime-Version: 1.0\r\nContent-Type: text/html; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n";
      else
				$this->msg['mHeader'] .= "Mime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: 8bit\r\n";
		return 1;
	}

	function mailLead($mDay=null,$lID=null)
	{
		global $wpdb;
		if(!count($this->lead) || !count($this->msg)) { return 0; }
		$this->formatMsg();
    if(!(mail('<'.$this->lead['lEmail'].'>', $this->msg['mSubject'], stripslashes($this->msg['mBody']), $this->msg['mHeader'],'-f'.$this->arFrom)))
    mail('<'.$this->lead['lEmail'].'>', $this->msg['mSubject'], stripslashes($this->msg['mBody']), $this->msg['mHeader']);
    if(isset($this->msg['mDay']))
      $subq = "lMOut='".$this->msg['mDay']."', ";
		$qry = "UPDATE ".$wpdb->prefix."ar_gwa_leads SET $subq lDateOut=current_date WHERE lID='".$this->lead['lID']."'";
		$wpdb->query($qry);
	}
	
	function formatMsg()
	{
		$unsubscribe = get_bloginfo('url').'/index.php?uID='.$this->lead['lID'] . '&Email='.$this->lead['lEmail'];
		$affiliate = 'http://www.freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id');
    $affiliate_text = "Get your own Wordpress Autoresponder!\n".$affiliate;
		$ar_gwa_no_spam = get_option('ar_gwa_no_spam');
    if($ar_gwa_no_spam=='checked'){
		$ar_gwa_nospam_text = "\n\n".get_option('ar_gwa_nospam');    
    }
		if($this->msg['mType'] == 'html') {
     if($ar_gwa_no_spam=='checked' && $ar_gwa_nospam_text != '') {
     $ar_gwa_nospam_text = preg_replace("/\n\n/",'<p>',$ar_gwa_nospam_text);
     $ar_gwa_nospam_text = preg_replace("/\n/",'<br>',$ar_gwa_nospam_text);
         }
     $affiliate_text = '<br /><a href="'.$affiliate.'">Get your own Wordpress Autoresponder!</a>';
     $unsubscribe = '<br /><a href="'.$unsubscribe.'">'.get_option('ar_gwa_unsub').'</a>'; 
    } else {
     $affiliate_text = "\n\nGet your own Wordpress Autoresponder!\n$affiliate";
     $unsubscribe = "\n\n".get_option('ar_gwa_unsub')."\n$unsubscribe";     
    }
		$this->msg['mBody'] = str_replace('<?Name?>', $this->lead['lName'], $this->msg['mBody']);
		$this->msg['mSubject'] = str_replace('<?Name?>', $this->lead['lName'], $this->msg['mSubject']);
		$this->msg['mBody'] = str_replace('<?Email?>', $this->lead['lEmail'], $this->msg['mBody']);
		$this->msg['mSubject'] = str_replace('<?Email?>', $this->lead['lEmail'], $this->msg['mSubject']);
		$this->msg['mBody'] = str_replace('<?Unsubscribe?>', $unsubscribe, $this->msg['mBody']);
//For html emails composed in tinymce
		$this->msg['mBody'] = str_replace('&lt;?Name?&gt;', $this->lead['lName'], $this->msg['mBody']);
		$this->msg['mSubject'] = str_replace('&lt;?Name?&gt;', $this->lead['lName'], $this->msg['mSubject']);
		$this->msg['mBody'] = str_replace('&lt;?Email?&gt;', $this->lead['lEmail'], $this->msg['mBody']);
		$this->msg['mSubject'] = str_replace('&lt;?Email?&gt;', $this->lead['lEmail'], $this->msg['mSubject']);
		$this->msg['mBody'] = str_replace('&lt;?Unsubscribe?&gt;', $unsubscribe, $this->msg['mBody']);
	if($this->msg['mType'] == 'html') { $lb = '<br /><br />'; } else { $lb ="\n\n"; }
  if(isset($ar_gwa_nospam_text) && $ar_gwa_nospam_text != '')
    $this->msg['mBody'] .= $ar_gwa_nospam_text.$lb;
	if(get_option('ar_gwa_cb')=='checked')
    $this->msg['mBody'] .= $affiliate_text.$lb;
	if(get_option('ar_gwa_addsub')==1)
    $this->msg['mBody'] .= $unsubscribe.$lb;
  }    
}

function ar_gwa_js_admin_header()
{
  wp_print_scripts( array( 'sack','jquery' ));
?>
<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/autoresponder-gwa/tab.css" type="text/css" media="screen" />

<script type="text/javascript">
 //<![CDATA[
 function ar_gwa_name_update( name_field, id_field )
 {
  var mysack = new sack( 
       "<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php" );    
  mysack.execute = 1;
  mysack.method = 'POST';
  mysack.setVar( "action", "ar_gwa_name_update" );
  mysack.setVar( "lID", id_field );
  mysack.setVar( "lName", name_field.value );
  mysack.encVar( "cookie", document.cookie, false );
  mysack.onError = function() { alert('Ajax error updating record' )};
  mysack.runAJAX();
  return true;
}

 function ar_gwa_email_update( email_field, id_field )
 {
  var mysack = new sack( 
       "<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php" );    
  mysack.execute = 1;
  mysack.method = 'POST';
  mysack.setVar( "action", "ar_gwa_email_update" );
  mysack.setVar( "lID", id_field );
  mysack.setVar( "lEmail", email_field.value );
  mysack.encVar( "cookie", document.cookie, false );
  mysack.onError = function() { alert('Ajax error updating record' )};
  mysack.runAJAX();
  return true;
  }

 function ar_gwa_day_update( day_field, id_field )
 {
  var mysack = new sack( 
       "<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php" );    
  mysack.execute = 1;
  mysack.method = 'POST';
  mysack.setVar( "action", "ar_gwa_day_update" );
  mysack.setVar( "lID", id_field );
  mysack.setVar( "lMOut", day_field.value );
  mysack.encVar( "cookie", document.cookie, false );
  mysack.onError = function() { alert('Ajax error updating record' )};
  mysack.runAJAX();
  return true;
  }
  //]]>
</script>
<?php

}

function ar_gwa_name_update() {
global $wpdb;
$qry = 'UPDATE `'.$wpdb->prefix.'ar_gwa_leads` SET lName = "'.$wpdb->escape($_POST['lName']).'" WHERE lID="'.$wpdb->escape($_POST['lID']).'"';
$z = $wpdb->query($qry);
$val = '<input  onblur="sss = confirm(\'Confirm changes?\');if(sss==true)ar_gwa_name_update(document.getElementById(\'argwaleadname'.$_POST['lID'].'\'),'.$_POST['lID'].');return false;" type="text" name="lLead" id="argwaleadname'.$_POST['lID'].'" value="'.$_POST['lName'].'" size="12">';

die("document.getElementById('tdname".$_POST['lID']."').innerHTML = '".addslashes($val)."'
alert('Changes saved to database: ID#".$_POST['lID']." \"Name\" set to \"".$_POST['lName']."\".')");
}

function ar_gwa_email_update() {
global $wpdb;
$qry = 'UPDATE `'.$wpdb->prefix.'ar_gwa_leads` SET lEmail = "'.$wpdb->escape($_POST['lEmail']).'" WHERE lID="'.$wpdb->escape($_POST['lID']).'"';
$z = $wpdb->query($qry);
$val = '<input  onblur="sss = confirm(\'Confirm changes?\');if(sss==true)ar_gwa_email_update(document.getElementById(\'argwaleademail'.$_POST['lID'].'\'),'.$_POST['lID'].');return false;" type="text" name="lEmail" id="argwaleademail'.$_POST['lID'].'" value="'.$_POST['lEmail'].'" size="22">';

die("document.getElementById('tdemail".$_POST['lID']."').innerHTML = '".addslashes($val)."'
alert('Changes saved to database: ID#".$_POST['lID']." \"Email\" set to \"".$_POST['lEmail']."\".')");
}

function ar_gwa_day_update() {
global $wpdb;
$qry = 'UPDATE `'.$wpdb->prefix.'ar_gwa_leads` SET lMOut = "'.$wpdb->escape($_POST['lMOut']).'" , lDateEntry = "'.date('Y-m-d', strtotime('-'.($_POST['lMOut']+1).' days')).'" WHERE lID="'.$wpdb->escape($_POST['lID']).'"';
$z = $wpdb->query($qry);
$val = '<input  onblur="sss = confirm(\'Confirm changes?\');if(sss==true)ar_gwa_day_update(document.getElementById(\'argwaleadday'.$_POST['lID'].'\'),'.$_POST['lID'].');return false;" type="text" name="lMOut" id="argwaleadday'.$_POST['lID'].'" value="'.$_POST['lMOut'].'" size="3">';

die("document.getElementById('tdday".$_POST['lID']."').innerHTML = '".addslashes($val)."'
document.getElementById('tdentry".$_POST['lID']."').innerHTML = '".date('Y-m-d', strtotime('-'.($_POST['lMOut']+1).' days'))."'
alert('Changes saved to database: ID#".$_POST['lID']." \"Msg Out\" set to \"".$_POST['lMOut']."\".')");
}

add_action('admin_print_scripts', 'ar_gwa_js_admin_header' );
add_action('wp_ajax_ar_gwa_name_update', 'ar_gwa_name_update' );
add_action('wp_ajax_ar_gwa_email_update', 'ar_gwa_email_update' );
add_action('wp_ajax_ar_gwa_day_update', 'ar_gwa_day_update' );

function argwa_get_note($n) {

$cont['1'] = __("<b>Autoresponder Status Box</b> provides an instant overview of plugin operations. <b>Send Time</b> is when messages are generated and sent to subscribers. You can reset the Send Time to exactly 24 Hours from when you click the Reschedule button.",'argwa');
$cont['3'] = __("<b>Common Footer</b> appears at the bottom of all messages sent and is a good place to put your signature and address so it is always included with every message sent.",'argwa');
$cont['4'] = __("Activate and include the footer by ticking the checkbox.",'argwa');
$cont['5'] = __("<b>Dynamic Unsubscribe Link</b> text that appears added to the bottom of all messages sent and is a good way to ensure it is always included with every message sent to comply with CAN-SPAM.",'argwa');
$cont['6'] = __("Activate and auto-include the Unsubscribe Link and Text above by ticking the checkbox.",'argwa');
$cont['7'] = __("<b>Response to User</b> shown after successful subscription. Displayed on internal forward page where shortcode is placed set in widget.",'argwa');
$cont['8'] = __("<b>Response to User</b> shown after successfully unsubscribing. Displayed on internal forward page where shortcode is placed set in widget.",'argwa');
$cont['9'] = __("<b>Response to User</b> shown after unsuccessful subscription attempt. Displayed on internal forward page where shortcode is placed set in widget.",'argwa');
$cont['10'] = __("<b>If you have Page Forwarding Problems</b> after subscribing with Page Not Found error etc. try switching the WP_HOOK setting. <i>Is affected by switching Templates so always test immediately after activating a new theme package on your blog.</i>",'argwa');
$cont['11'] = __("<b>Subscription Form Display and HTML Editor</b> for widget and shortcode. Switch to PLAIN-TEXT to access raw html code to Copy&Paste anywhere online. Make modification carefully adnd use the RESET button if the form gets broken or stops working.",'argwa');
$cont['12'] = __("<b>Switch to PLAIN-TEXT to access RAW HTML</b> code to Copy&Paste anywhere else online you want. <span style='color:red'>IMPORTANT:</span> See instructions on HELP Page for adding required form checking Javascript to your externally located forms.",'argwa');
$cont['13'] = __("<b>Fly-in Forms</b> are easy to modify using the WYSIWYG Editor below. Always TEST your fly-in window to ensure it works with your Theme before activating.",'argwa');
$cont['14'] = __("<b>Tick this checkbox</b> to enable fly-in form on your blog for visitors.",'argwa');
$cont['15'] = __("<b>Set Test Mode</b> to show fly-in every time blog is reloaded <i>for you only.</i>",'argwa');
$cont['16'] = __("<b>Click message's subject</b> to edit it's contents. Always verify your modifications and links before submitting changes. All changes are immediate and irreversible.",'argwa');
$cont['17'] = __("<b>Select messages and click to delete.</b> All changes are immediate and irreversible.",'argwa');
$cont['18'] = __("<b>Set the NUMBER OF DAYS AFTER SUBSCRIBING</b> that this message is to be sent to the subscriber.",'argwa');
$cont['19'] = __("<b>Select whether this is PLAIN-TEXT or HTML Formatted email</b> message. <span style='color:red'>IMPORTANT:</span> Affects email header used when sending message. Use [HTML] button in WYSIWYG Editor to access raw html code. ALWAYS MATCH TYPE OF EMAIL SENT.",'argwa'); 
$cont['20'] = __("<b>Verify all your content before submitting.</b> Ensure your tags are correct to perform substitutions when generating personalized messages.",'argwa');
$cont['21'] = __("<b>Limit sending to subscribers by date</b> of subscription. Enter date as shown to exclude specific subscribers from your mass mailing.",'argwa');
$cont['22'] = __("<b>Always verify your message</b> before sending to avoid mistakes and typo's, you can't take it back! Ensure your tags are correct to perform substitutions when generating personalized messages.",'argwa');
$cont['23'] = __("<b>Always verify your message</b> before sending to avoid mistakes and typo's, you can't take it back! Ensure your tags are correct to perform substitutions when generating personalized messages.",'argwa');
$note = '&nbsp;<a href="javascript:void(0);" id="note1_title" class="note" onclick="showNote(\'note'.$n.'\');"> ? </a><span id="note'.$n.'_body" class="notehidden"><br><div class="notebody" align="left"><table class="notetitle" cellspacing="0" cellpadding="0"><tr><td><small>'.__("Help",'argwa').':</small></td><td align="right"><small>(<a href="javascript:void(0);" onclick="hideNote(\'note'.$n.'\');">'.__("hide",'argwa').'</a>)</small></td></tr></table>'.$cont[$n].'</div></span>&nbsp;';
return $note;
}

$ctag='<p align="center"><small>'.__("Created by",'argwa').' <a href="http://code4cookies.com" target="_blank">Code4Cookies</a> &copy; 2008-2011 <a href="http://getwebactive.com" target="_blank">GetWebActive.</a> '.__("Use at your own risk.",'argwa').' <em><a href="http://en.wikipedia.org/wiki/CAN-SPAM_Act_of_2003" target="_blank">'.__("Know the Can-Spam Act.",'argwa').'</a></em><br />This is free software. <a href="http://freeautoresponder.biz/?/'.get_option('ar_gwa_aff_id').'" target="_blank">'.__("Upgrade to unlock the full functionality of this plug-in.",'argwa').'</a></strong></small></p></div>';
?>